#include "events.h"
#include "framedata.h"
#include "lists.h"
#include "media.h"
#include "objects.h"
#include "bitarray.h"

void Frames::event_func_348()
{
    // event 1013_4
    {
        // group: Clockwork Block
        if (!(loop_count <= 1)) goto event_1013_4_end;
        ((Active*)((Active*)col_instance_2))->alterables->flags.toggle(0);
    }
    event_1013_4_end: ;
}
void Frames::col_152_4()
{
    event_func_348();
}
void Frames::event_func_349()
{
    // event 661_4
    {
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(1, 1); // 'enemy-toolio'
        ((Active*)((Active*)col_instance_2))->alterables->values.set(0, 0); // 'enemy-toolio'
        ((Active*)((Active*)col_instance_2))->force_animation(2);
        ((Active*)get_instance(camerashaker_247_instances))->alterables->values.set(2, 7); // 'camera shaker'
        ((Active*)get_instance(camerashaker_247_instances))->alterables->values.set(3, 7); // 'camera shaker'
    }
    event_661_4_end: ;
}
void Frames::col_153_4()
{
    event_func_225();
    event_func_349();
}
void Frames::event_func_350()
{
    // event 525_4
    {
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(1, ((Active*)col_instance_1)->alterables->values.get(4)); // 'enemy-dangerned'
        ((Active*)((Active*)col_instance_2))->force_animation(13);
    }
    event_525_4_end: ;
}
void Frames::col_155_4()
{
    event_func_225();
    event_func_350();
}
void Frames::col_156_4()
{
    event_func_278();
}
void Frames::event_func_351()
{
    // event 335_4
    {
        ((Active*)((Active*)col_instance_1))->destroy();
        media.set_sample_volume(SOUND_IMPAKT_35, 0.25*global_values->get(12));
        media.stop_sample(SOUND_IMPAKT_35);
        media.play_id(SOUND_IMPAKT_35, -1, 1);
        media.set_sample_volume(SOUND_IMPAKT_35, 0.25*global_values->get(12));
    }
    event_335_4_end: ;
}
void Frames::col_158_4()
{
    event_func_351();
}
void Frames::event_func_352()
{
    // event 692_4
    {
        // group: Boxman
        if (!(((Active*)col_instance_2)->test_directions(65536))) goto event_692_4_end;
        if (!((((Active*)col_instance_1)->alterables->values.get(3)) < (2))) goto event_692_4_end;
        ((Active*)((Active*)col_instance_1))->set_direction(0);
    }
    event_692_4_end: ;
}
void Frames::col_160_4()
{
    event_func_352();
}
void Frames::event_func_353()
{
    // event 337_4
    {
        ((Active*)((Active*)col_instance_2))->destroy();
        ((Active*)((Active*)col_instance_1))->alterables->values.set(2, 0); // 'enemy-homing-cog'
        media.set_sample_volume(SOUND_IMPAKT_35, 0.25*global_values->get(12));
        media.stop_sample(SOUND_IMPAKT_35);
        media.play_id(SOUND_IMPAKT_35, -1, 1);
        media.set_sample_volume(SOUND_IMPAKT_35, 0.25*global_values->get(12));
    }
    event_337_4_end: ;
}
void Frames::col_161_4()
{
    event_func_353();
}
void Frames::event_func_354()
{
    // event 597_4
    {
        // group: Lonestar Jr
        if (!((((Active*)col_instance_2)->alterables->values.get(7)) == (0))) goto event_597_4_end;
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(1, ((Active*)col_instance_1)->alterables->values.get(4)); // 'enemy-lonestar'
        ((Active*)((Active*)col_instance_2))->force_animation(14);
        ((Active*)get_instance(camerashaker_247_instances))->alterables->values.set(2, 6); // 'camera shaker'
        ((Active*)get_instance(camerashaker_247_instances))->alterables->values.set(3, 5); // 'camera shaker'
    }
    event_597_4_end: ;
}
void Frames::event_func_355()
{
    // event 598_4
    {
        // group: Lonestar Jr
        if (!((((Active*)col_instance_2)->alterables->values.get(7)) == (1))) goto event_598_4_end;
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(1, ((Active*)col_instance_1)->alterables->values.get(4)); // 'enemy-lonestar'
        ((Active*)((Active*)col_instance_2))->force_animation(15);
        ((Active*)get_instance(camerashaker_247_instances))->alterables->values.set(2, 6); // 'camera shaker'
        ((Active*)get_instance(camerashaker_247_instances))->alterables->values.set(3, 5); // 'camera shaker'
    }
    event_598_4_end: ;
}
void Frames::col_162_4()
{
    event_func_225();
    event_func_354();
    event_func_355();
}
void Frames::event_func_356()
{
    // event 307_4
    {
        // group: Hoppy Enemy
        if (!((((Active*)col_instance_2)->alterables->values.get(3)) <= (0))) goto event_307_4_end;
        FrameObject * single_instance_307_4_0; single_instance_307_4_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemyhoppy_152(((Active*)col_instance_2)->get_action_x() - ((Active*)col_instance_2)->layer->off_x + 0, ((Active*)col_instance_2)->get_action_y() - ((Active*)col_instance_2)->layer->off_y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_307_4_0 == NULL)
                single_instance_307_4_0 = new_obj;
        }
        ((Active*)((Active*)single_instance_307_4_0))->alterables->values.set(2, ((Active*)col_instance_2)->alterables->values.get(0)); // 'Enemy-Hoppy'
        ((Active*)((Active*)col_instance_2))->alterables->values.set(3, 250); // 'SpawnerHoppy'
        ((Active*)((Active*)single_instance_307_4_0))->alterables->values.set(3, 15); // 'Enemy-Hoppy'
    }
    event_307_4_end: ;
}
void Frames::event_func_357()
{
    // event 308_4
    {
        // group: Hoppy Enemy
        enemyhoppy_152_instances.clear_selection();
        if (!check_overlap(enemyhoppy_152_instances, ((Active*)col_instance_1))) goto event_308_4_end;
        for (ObjectIterator it(enemyhoppy_152_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) != (((Active*)col_instance_2)->alterables->values.get(0)))) { it.deselect(); continue; }
        }
        if (!enemyhoppy_152_instances.has_selection()) goto event_308_4_end;
        for (ObjectIterator it(enemyhoppy_152_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(2, ((Active*)col_instance_2)->alterables->values.get(0)); // 'Enemy-Hoppy'
        }
    }
    event_308_4_end: ;
}
void Frames::col_163_4()
{
    event_func_356();
    event_func_357();
}
void Frames::event_func_358()
{
    // event 1039_4
    {
        // group: Crumble Block
        if (!((((Active*)get_instance(framedatastore_183_instances))->alterables->values.get(4)) == (0))) goto event_1039_4_end;
        FrameObject * single_instance_1039_4_0; single_instance_1039_4_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_objjunkblock_266(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_1039_4_0 == NULL)
                single_instance_1039_4_0 = new_obj;
        }
        ((Active*)((Active*)single_instance_1039_4_0))->alterables->values.set(5, ((Active*)col_instance_2)->alterables->values.get(0)); // 'obj-junkblock'
    }
    event_1039_4_end: ;
}
void Frames::col_164_4()
{
    event_func_358();
}
void Frames::event_func_359()
{
    // event 258_4
    {
        ((Active*)((Active*)col_instance_2))->get_movement()->bounce(Movement::COLLISION);
        ((Active*)((Active*)col_instance_1))->get_movement()->bounce(Movement::COLLISION);
    }
    event_258_4_end: ;
}
void Frames::col_167_4()
{
    event_func_359();
}
void Frames::event_func_360()
{
    // event 651_4
    {
        ((Active*)((Active*)col_instance_2))->alterables->values.set(1, 1); // 'spawner-evileye'
        ((Active*)((Active*)col_instance_1))->destroy();
    }
    event_651_4_end: ;
}
void Frames::col_168_4()
{
    event_func_360();
}
void Frames::event_func_361()
{
    // event 298_4
    {
        bullet_121_instances.clear_selection();
        for (ObjectIterator it(bullet_121_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        ((Active*)((Active*)col_instance_1))->force_animation(12);
        ((Active*)((Active*)col_instance_2))->destroy();
    }
    event_298_4_end: ;
}
void Frames::col_170_4()
{
    event_func_361();
}
void Frames::event_func_362()
{
    // event 508_4
    {
        ((Active*)((Active*)col_instance_2))->set_direction(8);
    }
    event_508_4_end: ;
}
void Frames::col_173_4()
{
    event_func_362();
}
void Frames::event_func_363()
{
    // event 845_4
    {
        ((Active*)((Active*)col_instance_1))->alterables->values.set(0, -14); // 'Player'
        ((Active*)((Active*)col_instance_1))->alterables->values.set(2, 1); // 'Player'
    }
    event_845_4_end: ;
}
void Frames::col_174_4()
{
    event_func_363();
}
void Frames::event_func_364()
{
    // event 601_4
    {
        // group: Lonestar Jr
        if (!((((Active*)col_instance_2)->alterables->values.get(0)) <= (0))) goto event_601_4_end;
        if (!((((Active*)col_instance_2)->alterables->values.get(1)) == (0))) goto event_601_4_end;
        ((Active*)((Active*)col_instance_2))->alterables->values.set(0, 50); // 'spawner-lonestar'
        FrameObject * single_instance_601_4_0; single_instance_601_4_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemylonestarnew_278(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_601_4_0 == NULL)
                single_instance_601_4_0 = new_obj;
        }
    }
    event_601_4_end: ;
}
void Frames::event_func_365()
{
    // event 602_4
    {
        // group: Lonestar Jr
        if (!((((Active*)col_instance_2)->alterables->values.get(0)) <= (0))) goto event_602_4_end;
        if (!((((Active*)col_instance_2)->alterables->values.get(1)) == (1))) goto event_602_4_end;
        FrameObject * single_instance_602_4_0; single_instance_602_4_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemylonestar_233(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_602_4_0 == NULL)
                single_instance_602_4_0 = new_obj;
        }
        ((Active*)((Active*)single_instance_602_4_0))->alterables->values.set(2, ((Active*)col_instance_2)->get_x()+100); // 'enemy-lonestar'
        ((Active*)((Active*)col_instance_2))->alterables->values.set(0, 50); // 'spawner-lonestar'
        ((Active*)((Active*)single_instance_602_4_0))->alterables->values.set(3, 18); // 'enemy-lonestar'
    }
    event_602_4_end: ;
}
void Frames::col_175_4()
{
    event_func_364();
    event_func_365();
}
void Frames::event_func_366()
{
    // event 704_4
    {
        // group: Bouncer
        if (!((((Active*)col_instance_2)->alterables->values.get(2)) <= (2))) goto event_704_4_end;
        ((Active*)((Active*)col_instance_2))->set_direction(((Active*)col_instance_2)->get_direction()+8);
    }
    event_704_4_end: ;
}
void Frames::col_176_4()
{
    event_func_366();
}
void Frames::event_func_367()
{
    // event 787_4
    {
        ((Active*)((Active*)col_instance_1))->set_direction(0);
        ((Active*)((Active*)col_instance_1))->alterables->values.set(2, 0); // 'Bullet'
        ((Active*)((Active*)col_instance_1))->alterables->values.set(3, 1); // 'Bullet'
        {
            FrameObject * parent = ((Active*)col_instance_2);
            if (parent == NULL) goto pos_end_787_4_0;
            ((Active*)col_instance_1)->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_787_4_0: ;
        }
        ((Active*)((Active*)col_instance_2))->alterables->values.set(0, 1.2); // 'SendRight'
    }
    event_787_4_end: ;
}
void Frames::col_177_4()
{
    event_func_367();
}
void Frames::event_func_368()
{
    // event 982_4
    {
        ((Active*)((Active*)col_instance_2))->alterables->values.set(0, -1); // 'bg-cog2'
    }
    event_982_4_end: ;
}
void Frames::col_178_4()
{
    event_func_368();
}
void Frames::event_func_369()
{
    // event 453_4
    {
        // group: Walker
        if (!((((Active*)col_instance_2)->alterables->values.get(7)) == (1))) goto event_453_4_end;
        ((Active*)((Active*)col_instance_2))->force_animation(12);
    }
    event_453_4_end: ;
}
void Frames::event_func_370()
{
    // event 454_4
    {
        // group: Walker
        if (!((((Active*)col_instance_2)->alterables->values.get(7)) == (0))) goto event_454_4_end;
        ((Active*)((Active*)col_instance_2))->force_animation(13);
    }
    event_454_4_end: ;
}
void Frames::event_func_371()
{
    // event 456_4
    {
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(1, ((Active*)col_instance_1)->alterables->values.get(4)); // 'enemy-walker'
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
    }
    event_456_4_end: ;
}
void Frames::col_180_4()
{
    event_func_225();
    event_func_369();
    event_func_370();
    event_func_371();
}
void Frames::event_func_372()
{
    // event 197_4
    {
        // group: Sounds
        if (!((((Active*)col_instance_1)->alterables->values.get(0)) >= (0))) goto event_197_4_end;
        media.play_id(SOUND_GETONGROUND_2, -1, 1);
        media.set_sample_volume(SOUND_GETONGROUND_2, global_values->get(12)*0.4);
    }
    event_197_4_end: ;
}
void Frames::col_181_4()
{
    event_func_372();
}
void Frames::event_func_373()
{
    // event 409_4
    {
        ((Active*)((Active*)col_instance_2))->destroy();
        FrameObject * single_instance_409_4_0; single_instance_409_4_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_bigexplosion_177(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_409_4_0 == NULL)
                single_instance_409_4_0 = new_obj;
        }
        ((Active*)((Active*)col_instance_1))->destroy();
        ((Active*)get_instance(framedatastore_183_instances))->alterables->values.set(0, ((Active*)col_instance_2)->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_183_instances))->alterables->values.set(1, ((Active*)col_instance_2)->get_y()); // 'FrameDataStore'
        {
            loop_debris_running = true;
            int times = int(5);
            loop_debris_index = 0;
            while (loop_debris_index < times) {
                loop_debris_4();
                if (!loop_debris_running) break;
                loop_debris_index++;
            }
        }
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
        ((Active*)get_instance(camerashaker_247_instances))->alterables->values.set(2, 18); // 'camera shaker'
        ((Active*)get_instance(camerashaker_247_instances))->alterables->values.set(3, 18); // 'camera shaker'
    }
    event_409_4_end: ;
}
void Frames::col_182_4()
{
    event_func_373();
}
void Frames::event_func_374()
{
    // event 510_4
    {
        ((Active*)((Active*)col_instance_2))->set_direction(0);
    }
    event_510_4_end: ;
}
void Frames::col_184_4()
{
    event_func_374();
}
void Frames::event_func_375()
{
    // event 265_4
    {
        ((Active*)((Active*)col_instance_1))->destroy();
        FrameObject * single_instance_265_4_0; single_instance_265_4_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemyexplosion_178(((Active*)col_instance_1)->x + 0, ((Active*)col_instance_1)->y + 0), ((Active*)col_instance_1)->layer);
            if (single_instance_265_4_0 == NULL)
                single_instance_265_4_0 = new_obj;
        }
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
        ((Active*)get_instance(camerashaker_247_instances))->alterables->values.set(2, 8); // 'camera shaker'
        ((Active*)get_instance(camerashaker_247_instances))->alterables->values.set(3, 8); // 'camera shaker'
    }
    event_265_4_end: ;
}
void Frames::col_185_4()
{
    event_func_375();
}
void Frames::event_func_376()
{
    // event 665_4
    {
        // group: Shootythingy
        if (!check_not_overlap(((Active*)col_instance_2), enemytoolio_260_instances)) goto event_665_4_end;
        FrameObject * single_instance_665_4_0; single_instance_665_4_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemytoolio_260(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_665_4_0 == NULL)
                single_instance_665_4_0 = new_obj;
        }
        ((Active*)((Active*)single_instance_665_4_0))->alterables->values.set(0, 110); // 'enemy-toolio'
    }
    event_665_4_end: ;
}
void Frames::col_186_4()
{
    event_func_376();
}
void Frames::event_func_377()
{
    // event 843_4
    {
        ((Active*)get_instance(player_93_instances))->alterables->values.set(4, 15); // 'Player'
        ((Active*)get_instance(player_93_instances))->alterables->values.set(5, 0); // 'Player'
        sprite_99_instances.clear_selection();
        for (ObjectIterator it(sprite_99_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(0);
        }
        ((Active*)get_instance(player_93_instances))->alterables->values.set(19, 15); // 'Player'
    }
    event_843_4_end: ;
}
void Frames::col_187_4()
{
    event_func_377();
}
void Frames::event_func_378()
{
    // event 654_4
    {
        ((Active*)((Active*)col_instance_1))->destroy();
        ((Active*)((Active*)col_instance_2))->alterables->values.set(1, -1); // 'spawner-snipereye'
    }
    event_654_4_end: ;
}
void Frames::col_188_4()
{
    event_func_378();
}
void Frames::event_func_379()
{
    // event 933_4
    {
        // group: Platform Spawners
        if (!((((Active*)col_instance_2)->alterables->values.get(0)) == (0))) goto event_933_4_end;
        screen_148_instances.clear_selection();
        if (!check_overlap(screen_148_instances, ((Active*)col_instance_2))) goto event_933_4_end;
        if (!(((Active*)col_instance_2)->test_animation(0))) goto event_933_4_end;
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
        FrameObject * single_instance_933_4_0; single_instance_933_4_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_movingplatform_97(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_933_4_0 == NULL)
                single_instance_933_4_0 = new_obj;
        }
        FrameObject * single_instance_933_4_1; single_instance_933_4_1 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_platform2_98(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_933_4_1 == NULL)
                single_instance_933_4_1 = new_obj;
        }
        ((Active*)((Active*)col_instance_2))->force_animation(1);
        media.play_id(SOUND_SPWNPLAT16MONO_18, -1, 1);
        media.set_sample_volume(SOUND_SPWNPLAT16MONO_18, 0.5*global_values->get(12));
    }
    event_933_4_end: ;
}
void Frames::event_func_380()
{
    // event 938_4
    {
        // group: Platform Spawners
        if (!((((Active*)col_instance_2)->alterables->values.get(0)) == (1))) goto event_938_4_end;
        screen_148_instances.clear_selection();
        if (!check_overlap(screen_148_instances, ((Active*)col_instance_2))) goto event_938_4_end;
        if (!(((Active*)col_instance_2)->test_animation(0))) goto event_938_4_end;
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
        FrameObject * single_instance_938_4_0; single_instance_938_4_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_vertplatform_106(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_938_4_0 == NULL)
                single_instance_938_4_0 = new_obj;
        }
        FrameObject * single_instance_938_4_1; single_instance_938_4_1 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_vertdetector_107(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_938_4_1 == NULL)
                single_instance_938_4_1 = new_obj;
        }
        ((Active*)((Active*)col_instance_2))->force_animation(1);
        media.play_id(SOUND_SPWNPLAT16MONO_18, -1, 1);
        media.set_sample_volume(SOUND_SPWNPLAT16MONO_18, 0.5*global_values->get(12));
    }
    event_938_4_end: ;
}
void Frames::col_190_4()
{
    event_func_379();
    event_func_380();
}
void Frames::event_func_381()
{
    // event 547_4
    {
        // group: Zappa
        if (!((((Active*)get_instance(player_93_instances))->alterables->values.get(9)) <= (0))) goto event_547_4_end;
        if (!(((Active*)col_instance_2)->test_animation(0))) goto event_547_4_end;
        global_values->sub(0, ((Active*)col_instance_2)->alterables->values.get(0));
        {
            loop_healthupdate_running = true;
            int times = int(1);
            loop_healthupdate_index = 0;
            while (loop_healthupdate_index < times) {
                loop_healthupdate_4();
                if (!loop_healthupdate_running) break;
                loop_healthupdate_index++;
            }
        }
        ((Active*)get_instance(player_93_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_93_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_93_instances))->alterables->values.set(9, 75); // 'Player'
    }
    event_547_4_end: ;
}
void Frames::col_193_4()
{
    event_func_381();
}
void Frames::event_func_382()
{
    // event 261_4
    {
        ((Active*)((Active*)col_instance_1))->destroy();
        ((Active*)((Active*)col_instance_2))->force_animation(12);
    }
    event_261_4_end: ;
}
void Frames::col_194_4()
{
    event_func_382();
}
void Frames::event_func_383()
{
    // event 504_4
    {
        ((Active*)((Active*)col_instance_2))->set_direction(24);
    }
    event_504_4_end: ;
}
void Frames::col_196_4()
{
    event_func_383();
}
void Frames::event_func_384()
{
    // event 351_4
    {
        FrameObject * single_instance_351_4_0; single_instance_351_4_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_spikeshooter_147(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_351_4_0 == NULL)
                single_instance_351_4_0 = new_obj;
        }
    }
    event_351_4_end: ;
}
void Frames::col_197_4()
{
    event_func_384();
}
void Frames::event_func_385()
{
    // event 989_4
    {
        // group: Incentives
        if (!((((Active*)col_instance_2)->alterables->values.get(0)) == (0))) goto event_989_4_end;
        ((Active*)((Active*)col_instance_2))->alterables->values.set(0, 1); // 'obj-bonus-deathless'
        media.play_id(SOUND_SQUEAKYBOOM_30, -1, 1);
        media.set_sample_volume(SOUND_SQUEAKYBOOM_30, 0.8*global_values->get(12));
        ((Active*)get_instance(camerashaker_247_instances))->alterables->values.set(2, 20); // 'camera shaker'
        ((Active*)get_instance(camerashaker_247_instances))->alterables->values.set(3, 15); // 'camera shaker'
        ((Active*)get_instance(framedatastore_183_instances))->alterables->values.set(0, ((Active*)col_instance_2)->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_183_instances))->alterables->values.set(1, ((Active*)col_instance_2)->get_y()); // 'FrameDataStore'
        global_values->add(2, 1);
        ((Active*)get_instance(uilivesactive_259_instances))->force_animation(12);
        {
            loop_debris_confetti_running = true;
            int times = int(20);
            loop_debris_confetti_index = 0;
            while (loop_debris_confetti_index < times) {
                loop_debris_confetti_4();
                if (!loop_debris_confetti_running) break;
                loop_debris_confetti_index++;
            }
        }
    }
    event_989_4_end: ;
}
void Frames::col_198_4()
{
    event_func_263();
    event_func_385();
}
void Frames::event_func_386()
{
    // event 345_4
    {
        ((Active*)((Active*)col_instance_1))->get_movement()->bounce(Movement::COLLISION);
        ((Active*)((Active*)col_instance_2))->destroy();
        media.set_sample_volume(SOUND_IMPAKT_35, 0.25*global_values->get(12));
        media.stop_sample(SOUND_IMPAKT_35);
        media.play_id(SOUND_IMPAKT_35, -1, 1);
        media.set_sample_volume(SOUND_IMPAKT_35, 0.25*global_values->get(12));
    }
    event_345_4_end: ;
}
void Frames::col_199_4()
{
    event_func_386();
}
void Frames::event_func_387()
{
    // event 494_4
    {
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(1, ((Active*)col_instance_1)->alterables->values.get(4)); // 'enemy-blobulule-phase1'
        ((Active*)((Active*)col_instance_2))->force_animation(13);
    }
    event_494_4_end: ;
}
void Frames::col_201_4()
{
    event_func_225();
    event_func_387();
}
void Frames::event_func_388()
{
    // event 400_4
    {
        // group: Enemies
        if (!((((Active*)get_instance(player_93_instances))->alterables->values.get(9)) <= (0))) goto event_400_4_end;
        global_values->sub(0, global_values->get(0));
        {
            loop_healthupdate_running = true;
            int times = int(1);
            loop_healthupdate_index = 0;
            while (loop_healthupdate_index < times) {
                loop_healthupdate_4();
                if (!loop_healthupdate_running) break;
                loop_healthupdate_index++;
            }
        }
        ((Active*)get_instance(player_93_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_93_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_93_instances))->alterables->values.set(9, 75); // 'Player'
    }
    event_400_4_end: ;
}
void Frames::col_202_4()
{
    event_func_388();
}
void Frames::event_func_389()
{
    // event 1031_4
    {
        // group: Crumble Block
        if (!((((Active*)col_instance_2)->alterables->values.get(2)) == (1))) goto event_1031_4_end;
        if (!((((Active*)get_instance(player_93_instances))->alterables->values.get(0)) >= (0))) goto event_1031_4_end;
        if (!((((Active*)col_instance_1)->alterables->values.get(3)) < (3))) goto event_1031_4_end;
        if (not_always_1031_4_0 > loop_count) {
            not_always_1031_4_0 = loop_count + 2;
            goto event_1031_4_end;
        }
        not_always_1031_4_0 = loop_count + 2;
        media.stop_sample(SOUND_GETONGROUND_2);
        media.set_sample_volume(SOUND_GETONGROUND_2, global_values->get(12)*0.4);
        media.play_id(SOUND_GETONGROUND_2, -1, 1);
        media.set_sample_volume(SOUND_GETONGROUND_2, global_values->get(12)*0.4);
    }
    event_1031_4_end: ;
}
void Frames::col_203_4()
{
    event_func_389();
}
void Frames::event_func_390()
{
    // event 523_4
    {
        ((Active*)((Active*)col_instance_1))->destroy();
        ((Active*)((Active*)col_instance_2))->alterables->values.set(1, -1); // 'spawner-mobilebro'
    }
    event_523_4_end: ;
}
void Frames::col_204_4()
{
    event_func_390();
}
void Frames::event_func_391()
{
    // event 616_4
    {
        // group: Lonestar Jr
        if (!((((Active*)col_instance_2)->alterables->values.get(7)) == (0))) goto event_616_4_end;
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(1, 1); // 'enemy-lonestar'
        ((Active*)((Active*)col_instance_2))->force_animation(14);
    }
    event_616_4_end: ;
}
void Frames::event_func_392()
{
    // event 617_4
    {
        // group: Lonestar Jr
        if (!((((Active*)col_instance_2)->alterables->values.get(7)) == (1))) goto event_617_4_end;
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(1, 1); // 'enemy-lonestar'
        ((Active*)((Active*)col_instance_2))->force_animation(15);
    }
    event_617_4_end: ;
}
void Frames::col_205_4()
{
    event_func_391();
    event_func_392();
}
void Frames::event_func_393()
{
    // event 444_4
    {
        // group: Walker
        if (!((((Active*)col_instance_2)->alterables->values.get(3)) <= (0))) goto event_444_4_end;
        ((Active*)((Active*)col_instance_2))->alterables->values.set(3, 250); // 'spawnerwalker'
        ((Active*)get_instance(framedatastore_183_instances))->alterables->values.add(2, 1); // 'FrameDataStore'
        FrameObject * single_instance_444_4_0; single_instance_444_4_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemywalker_196(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_444_4_0 == NULL)
                single_instance_444_4_0 = new_obj;
        }
        ((Active*)((Active*)single_instance_444_4_0))->alterables->values.set(5, ((Active*)get_instance(framedatastore_183_instances))->alterables->values.get(2)); // 'enemy-walker'
        ((Active*)((Active*)single_instance_444_4_0))->alterables->values.set(6, -2); // 'enemy-walker'
        ((Active*)((Active*)single_instance_444_4_0))->alterables->values.set(4, ((Active*)single_instance_444_4_0)->get_x()); // 'enemy-walker'
    }
    event_444_4_end: ;
}
void Frames::col_206_4()
{
    event_func_393();
}
void Frames::event_func_394()
{
    // event 862_4
    {
        ((Active*)((Active*)col_instance_2))->set_direction(16);
        ((Active*)((Active*)col_instance_1))->set_visible(false);
    }
    event_862_4_end: ;
}
void Frames::col_207_4()
{
    event_func_394();
}
void Frames::event_func_395()
{
    // event 1030_4
    {
        // group: Crumble Block
        if (!(loop_count <= 1)) goto event_1030_4_end;
        ((Active*)((Active*)col_instance_1))->destroy();
    }
    event_1030_4_end: ;
}
void Frames::event_func_396()
{
    // event 1032_4
    {
        ((Active*)((Active*)col_instance_2))->destroy();
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
        media.set_sample_volume(SOUND_IMPAKT_35, 0.25*global_values->get(12));
        media.stop_sample(SOUND_IMPAKT_35);
        media.play_id(SOUND_IMPAKT_35, -1, 1);
        media.set_sample_volume(SOUND_IMPAKT_35, 0.25*global_values->get(12));
    }
    event_1032_4_end: ;
}
void Frames::col_208_4()
{
    event_func_395();
    event_func_396();
}
void Frames::col_209_4()
{
    event_func_339();
    event_func_279();
}
void Frames::event_func_397()
{
    // event 555_4
    {
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(1, ((Active*)col_instance_1)->alterables->values.get(4)); // 'enemy-droppo'
        ((Active*)((Active*)col_instance_2))->force_animation(12);
    }
    event_555_4_end: ;
}
void Frames::col_211_4()
{
    event_func_397();
}
void Frames::event_func_398()
{
    // event 640_4
    {
        // group: Evil Eye
        if (!((((Active*)col_instance_2)->alterables->values.get(0)) <= (0))) goto event_640_4_end;
        if (!((((Active*)get_instance(cameratarget_248_instances))->get_y()) > (((Active*)col_instance_2)->get_y()*((Active*)col_instance_2)->alterables->values.get(1)))) goto event_640_4_end;
        FrameObject * single_instance_640_4_0; single_instance_640_4_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemyevileye_244(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_640_4_0 == NULL)
                single_instance_640_4_0 = new_obj;
        }
        ((Active*)((Active*)col_instance_2))->alterables->values.set(0, 480); // 'spawner-evileye'
    }
    event_640_4_end: ;
}
void Frames::col_214_4()
{
    event_func_398();
}
void Frames::event_func_399()
{
    // event 952_4
    {
        ((Active*)((Active*)col_instance_1))->destroy();
        objcheckpoint_229_instances.clear_selection();
        for (ObjectIterator it(objcheckpoint_229_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        // select single: false false true
        {
            FrameObject * new_obj;
            new_obj = add_object(create_objcheckpoint_229(((Active*)col_instance_1)->x + 0, ((Active*)col_instance_1)->y + -1), ((Active*)col_instance_1)->layer);
            objcheckpoint_229_instances.add_back();
        }
    }
    event_952_4_end: ;
}
void Frames::col_215_4()
{
    event_func_399();
}
void Frames::event_func_400()
{
    // event 664_4
    {
        // group: Shootythingy
        if (!(((Active*)col_instance_1)->test_directions(16777472))) goto event_664_4_end;
        ((Active*)get_instance(framedatastore_183_instances))->alterables->values.set(0, ((Active*)col_instance_1)->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_183_instances))->alterables->values.set(1, ((Active*)col_instance_1)->get_y()); // 'FrameDataStore'
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
        ((Active*)((Active*)col_instance_1))->destroy();
        FrameObject * single_instance_664_4_0; single_instance_664_4_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_explosion_130(((Active*)col_instance_1)->get_action_x() - ((Active*)col_instance_1)->layer->off_x + 0, ((Active*)col_instance_1)->get_action_y() - ((Active*)col_instance_1)->layer->off_y + 0), ((Active*)col_instance_1)->layer);
            if (single_instance_664_4_0 == NULL)
                single_instance_664_4_0 = new_obj;
        }
        {
            loop_debris_running = true;
            int times = int(7);
            loop_debris_index = 0;
            while (loop_debris_index < times) {
                loop_debris_4();
                if (!loop_debris_running) break;
                loop_debris_index++;
            }
        }
    }
    event_664_4_end: ;
}
void Frames::col_216_4()
{
    event_func_400();
}
