#include "events.h"
#include "framedata.h"
#include "lists.h"
#include "media.h"
#include "objects.h"
#include "bitarray.h"

void Frames::event_func_496()
{
    // event 113_4
    {
        // group: Scrolling
        screencamlayercamera_253_instances.clear_selection();
        camerabarrierx_251_instances.clear_selection();
        if (!check_overlap(screencamlayercamera_253_instances, camerabarrierx_251_instances)) goto event_113_4_end;
        ((Active*)get_instance(cameratarget_248_instances))->alterables->values.set(1, 0); // 'camera-target'
    }
    event_113_4_end: ;
}
void Frames::event_func_497()
{
    // event 117_4
    {
        // group: Scrolling
        active4_5_instances.clear_selection();
        xonlyscroll_133_instances.clear_selection();
        if (!check_overlap(active4_5_instances, xonlyscroll_133_instances)) goto event_117_4_end;
        screencamlayerlg_252_instances.clear_selection();
        camerabarrierx_251_instances.clear_selection();
        if (!check_overlap(screencamlayerlg_252_instances, camerabarrierx_251_instances)) goto event_117_4_end;
        if (!((((Active*)get_instance(camerashaker_247_instances))->alterables->values.get(5)) == (0))) goto event_117_4_end;
        ((Active*)get_instance(cameratarget_248_instances))->set_x(((Active*)get_instance(player_93_instances))->get_x()+((Active*)get_instance(cameratarget_248_instances))->alterables->values.get(0)+((((Active*)get_single(camerabarrierx_251_instances, default_active_instance))->get_x()-((Active*)get_instance(screencamlayerlg_252_instances))->get_x())));
        ((Active*)get_instance(cameratarget_248_instances))->set_y(((Active*)get_single(xonlyscroll_133_instances, default_active_instance))->get_y());
    }
    event_117_4_end: ;
}
void Frames::event_func_498()
{
    // event 118_4
    {
        // group: Scrolling
        active4_5_instances.clear_selection();
        if (!check_not_overlap(active4_5_instances, xonlyscroll_133_instances)) goto event_118_4_end;
        if (!check_not_overlap(active4_5_instances, yonlyscroll_134_instances)) goto event_118_4_end;
        if (!check_not_overlap(active4_5_instances, lockxy_135_instances)) goto event_118_4_end;
        screencamlayerlg_252_instances.clear_selection();
        camerabarrierx_251_instances.clear_selection();
        if (!check_overlap(screencamlayerlg_252_instances, camerabarrierx_251_instances)) goto event_118_4_end;
        if (!((((Active*)get_instance(camerashaker_247_instances))->alterables->values.get(5)) == (0))) goto event_118_4_end;
        ((Active*)get_instance(cameratarget_248_instances))->set_y(((Active*)get_instance(player_93_instances))->get_y()+((Active*)get_instance(cameratarget_248_instances))->alterables->values.get(2));
        ((Active*)get_instance(cameratarget_248_instances))->set_x(((Active*)get_instance(player_93_instances))->get_x()+((Active*)get_instance(cameratarget_248_instances))->alterables->values.get(0)+((((Active*)get_single(camerabarrierx_251_instances, default_active_instance))->get_x()-((Active*)get_instance(screencamlayerlg_252_instances))->get_x())));
    }
    event_118_4_end: ;
}
void Frames::event_func_499()
{
    // event 119_4
    {
        // group: Scrolling
        active4_5_instances.clear_selection();
        yonlyscroll_134_instances.clear_selection();
        if (!check_overlap(active4_5_instances, yonlyscroll_134_instances)) goto event_119_4_end;
        screencamlayerlg_252_instances.clear_selection();
        camerabarrierx_251_instances.clear_selection();
        if (!check_overlap(screencamlayerlg_252_instances, camerabarrierx_251_instances)) goto event_119_4_end;
        if (!((((Active*)get_instance(camerashaker_247_instances))->alterables->values.get(5)) == (0))) goto event_119_4_end;
        ((Active*)get_instance(cameratarget_248_instances))->set_x(((Active*)get_single(yonlyscroll_134_instances, default_active_instance))->get_x());
        ((Active*)get_instance(cameratarget_248_instances))->set_y(((Active*)get_instance(player_93_instances))->get_y()+((Active*)get_instance(cameratarget_248_instances))->alterables->values.get(2));
    }
    event_119_4_end: ;
}
void Frames::event_func_500()
{
    // event 120_4
    {
        // group: Scrolling
        active4_5_instances.clear_selection();
        lockxy_135_instances.clear_selection();
        if (!check_overlap(active4_5_instances, lockxy_135_instances)) goto event_120_4_end;
        screencamlayerlg_252_instances.clear_selection();
        camerabarrierx_251_instances.clear_selection();
        if (!check_overlap(screencamlayerlg_252_instances, camerabarrierx_251_instances)) goto event_120_4_end;
        if (!((((Active*)get_instance(camerashaker_247_instances))->alterables->values.get(5)) == (0))) goto event_120_4_end;
        ((Active*)get_instance(cameratarget_248_instances))->set_x(((Active*)get_single(lockxy_135_instances, default_active_instance))->get_x());
        ((Active*)get_instance(cameratarget_248_instances))->set_y(((Active*)get_single(lockxy_135_instances, default_active_instance))->get_y());
    }
    event_120_4_end: ;
}
void Frames::event_func_501()
{
    // event 121_4
    {
        // group: Scrolling
        screencamlayerlg_252_instances.clear_selection();
        if (!check_not_overlap(screencamlayerlg_252_instances, camerabarrierx_251_instances)) goto event_121_4_end;
        xonlyscroll_133_instances.clear_selection();
        active4_5_instances.clear_selection();
        if (!check_overlap(xonlyscroll_133_instances, active4_5_instances)) goto event_121_4_end;
        if (!((((Active*)get_instance(camerashaker_247_instances))->alterables->values.get(5)) == (0))) goto event_121_4_end;
        {
            loop_camcheck1_running = true;
            int times = int(1);
            loop_camcheck1_index = 0;
            while (loop_camcheck1_index < times) {
                loop_camcheck1_4();
                if (!loop_camcheck1_running) break;
                loop_camcheck1_index++;
            }
        }
    }
    event_121_4_end: ;
}
void Frames::event_func_502()
{
    // event 122_4
    {
        // group: Scrolling
        screencamlayerlg_252_instances.clear_selection();
        if (!check_not_overlap(screencamlayerlg_252_instances, camerabarrierx_251_instances)) goto event_122_4_end;
        xonlyscroll_133_instances.clear_selection();
        active4_5_instances.clear_selection();
        if (!check_overlap(xonlyscroll_133_instances, active4_5_instances)) goto event_122_4_end;
        if (!((((Active*)get_instance(camerashaker_247_instances))->alterables->values.get(5)) == (0))) goto event_122_4_end;
        ((Active*)get_instance(cameratarget_248_instances))->set_x(((Active*)get_instance(player_93_instances))->get_x()+((Active*)get_instance(cameratarget_248_instances))->alterables->values.get(0));
        ((Active*)get_instance(cameratarget_248_instances))->set_y(((Active*)get_single(xonlyscroll_133_instances, default_active_instance))->get_y());
    }
    event_122_4_end: ;
}
void Frames::event_func_503()
{
    // event 123_4
    {
        // group: Scrolling
        active4_5_instances.clear_selection();
        if (!check_not_overlap(active4_5_instances, xonlyscroll_133_instances)) goto event_123_4_end;
        if (!check_not_overlap(active4_5_instances, yonlyscroll_134_instances)) goto event_123_4_end;
        if (!check_not_overlap(active4_5_instances, lockxy_135_instances)) goto event_123_4_end;
        screencamlayerlg_252_instances.clear_selection();
        if (!check_not_overlap(screencamlayerlg_252_instances, camerabarrierx_251_instances)) goto event_123_4_end;
        if (!((((Active*)get_instance(camerashaker_247_instances))->alterables->values.get(5)) == (0))) goto event_123_4_end;
        ((Active*)get_instance(cameratarget_248_instances))->set_y(((Active*)get_instance(player_93_instances))->get_y()+((Active*)get_instance(cameratarget_248_instances))->alterables->values.get(2));
        ((Active*)get_instance(cameratarget_248_instances))->set_x(((Active*)get_instance(player_93_instances))->get_x()+((Active*)get_instance(cameratarget_248_instances))->alterables->values.get(0));
    }
    event_123_4_end: ;
}
void Frames::event_func_504()
{
    // event 124_4
    {
        // group: Scrolling
        active4_5_instances.clear_selection();
        yonlyscroll_134_instances.clear_selection();
        if (!check_overlap(active4_5_instances, yonlyscroll_134_instances)) goto event_124_4_end;
        screencamlayerlg_252_instances.clear_selection();
        if (!check_not_overlap(screencamlayerlg_252_instances, camerabarrierx_251_instances)) goto event_124_4_end;
        if (!((((Active*)get_instance(camerashaker_247_instances))->alterables->values.get(5)) == (0))) goto event_124_4_end;
        {
            loop_camcheck1_running = true;
            int times = int(1);
            loop_camcheck1_index = 0;
            while (loop_camcheck1_index < times) {
                loop_camcheck1_4();
                if (!loop_camcheck1_running) break;
                loop_camcheck1_index++;
            }
        }
    }
    event_124_4_end: ;
}
void Frames::event_func_505()
{
    // event 125_4
    {
        // group: Scrolling
        active4_5_instances.clear_selection();
        yonlyscroll_134_instances.clear_selection();
        if (!check_overlap(active4_5_instances, yonlyscroll_134_instances)) goto event_125_4_end;
        screencamlayerlg_252_instances.clear_selection();
        if (!check_not_overlap(screencamlayerlg_252_instances, camerabarrierx_251_instances)) goto event_125_4_end;
        if (!((((Active*)get_instance(camerashaker_247_instances))->alterables->values.get(5)) == (0))) goto event_125_4_end;
        ((Active*)get_instance(cameratarget_248_instances))->set_x(((Active*)get_single(yonlyscroll_134_instances, default_active_instance))->get_x());
        ((Active*)get_instance(cameratarget_248_instances))->set_y(((Active*)get_instance(player_93_instances))->get_y()+((Active*)get_instance(cameratarget_248_instances))->alterables->values.get(2));
    }
    event_125_4_end: ;
}
void Frames::event_func_506()
{
    // event 126_4
    {
        // group: Scrolling
        active4_5_instances.clear_selection();
        lockxy_135_instances.clear_selection();
        if (!check_overlap(active4_5_instances, lockxy_135_instances)) goto event_126_4_end;
        screencamlayerlg_252_instances.clear_selection();
        if (!check_not_overlap(screencamlayerlg_252_instances, camerabarrierx_251_instances)) goto event_126_4_end;
        if (!((((Active*)get_instance(camerashaker_247_instances))->alterables->values.get(5)) == (0))) goto event_126_4_end;
        ((Active*)get_instance(cameratarget_248_instances))->set_x(((Active*)get_single(lockxy_135_instances, default_active_instance))->get_x());
        ((Active*)get_instance(cameratarget_248_instances))->set_y(((Active*)get_single(lockxy_135_instances, default_active_instance))->get_y());
    }
    event_126_4_end: ;
}
void Frames::event_func_507()
{
    // event 127_4
    {
        // group: Scrolling
        camerachaser_46_instances.clear_selection();
        active4_5_instances.clear_selection();
        if (!check_overlap(camerachaser_46_instances, active4_5_instances)) goto event_127_4_end;
        if (!((((Active*)get_instance(camerachaser_46_instances))->get_x()) < (((Active*)get_instance(active4_5_instances))->get_x()))) goto event_127_4_end;
        if (!check_not_overlap(active4_5_instances, lockxy_135_instances)) goto event_127_4_end;
        if (!check_not_overlap(active4_5_instances, yonlyscroll_134_instances)) goto event_127_4_end;
        if (!((((Active*)get_instance(cameratarget_248_instances))->alterables->values.get(0)) == (0))) goto event_127_4_end;
        if (!((((Active*)get_instance(camerashaker_247_instances))->alterables->values.get(5)) == (0))) goto event_127_4_end;
        ((Active*)get_instance(camerachaser_46_instances))->set_x(((Active*)get_instance(camerachaser_46_instances))->get_x()+1);
        ((Active*)get_instance(camerashaker_247_instances))->set_x(((Active*)get_instance(camerachaser_46_instances))->get_x()+((Active*)get_instance(camerashaker_247_instances))->alterables->values.get(1));
        ((Active*)get_instance(camerashaker_247_instances))->set_y(((Active*)get_instance(camerachaser_46_instances))->get_y()+((Active*)get_instance(camerashaker_247_instances))->alterables->values.get(0));
    }
    event_127_4_end: ;
}
void Frames::event_func_508()
{
    // event 128_4
    {
        // group: Scrolling
        camerachaser_46_instances.clear_selection();
        active4_5_instances.clear_selection();
        if (!check_overlap(camerachaser_46_instances, active4_5_instances)) goto event_128_4_end;
        if (!((((Active*)get_instance(camerachaser_46_instances))->get_x()) > (((Active*)get_instance(active4_5_instances))->get_x()))) goto event_128_4_end;
        if (!check_not_overlap(active4_5_instances, lockxy_135_instances)) goto event_128_4_end;
        if (!check_not_overlap(active4_5_instances, yonlyscroll_134_instances)) goto event_128_4_end;
        if (!((((Active*)get_instance(cameratarget_248_instances))->alterables->values.get(0)) == (0))) goto event_128_4_end;
        if (!((((Active*)get_instance(camerashaker_247_instances))->alterables->values.get(5)) == (0))) goto event_128_4_end;
        ((Active*)get_instance(camerachaser_46_instances))->set_x(((Active*)get_instance(camerachaser_46_instances))->get_x()-1);
        ((Active*)get_instance(camerashaker_247_instances))->set_x(((Active*)get_instance(camerachaser_46_instances))->get_x()+((Active*)get_instance(camerashaker_247_instances))->alterables->values.get(1));
        ((Active*)get_instance(camerashaker_247_instances))->set_y(((Active*)get_instance(camerachaser_46_instances))->get_y()+((Active*)get_instance(camerashaker_247_instances))->alterables->values.get(0));
    }
    event_128_4_end: ;
}
void Frames::event_func_509()
{
    // event 129_4
    {
        // group: Scrolling
        camerachaser_46_instances.clear_selection();
        active4_5_instances.clear_selection();
        if (!check_overlap(camerachaser_46_instances, active4_5_instances)) goto event_129_4_end;
        if (!((((Active*)get_instance(camerachaser_46_instances))->get_y()) < (((Active*)get_instance(active4_5_instances))->get_x()))) goto event_129_4_end;
        if (!check_not_overlap(active4_5_instances, lockxy_135_instances)) goto event_129_4_end;
        if (!check_not_overlap(active4_5_instances, xonlyscroll_133_instances)) goto event_129_4_end;
        if (!((((Active*)get_instance(camerashaker_247_instances))->alterables->values.get(5)) == (0))) goto event_129_4_end;
        ((Active*)get_instance(camerachaser_46_instances))->set_y(((Active*)get_instance(camerachaser_46_instances))->get_y()+1);
        ((Active*)get_instance(camerashaker_247_instances))->set_x(((Active*)get_instance(camerachaser_46_instances))->get_x()+((Active*)get_instance(camerashaker_247_instances))->alterables->values.get(1));
        ((Active*)get_instance(camerashaker_247_instances))->set_y(((Active*)get_instance(camerachaser_46_instances))->get_y()+((Active*)get_instance(camerashaker_247_instances))->alterables->values.get(0));
    }
    event_129_4_end: ;
}
void Frames::event_func_510()
{
    // event 130_4
    {
        // group: Scrolling
        camerachaser_46_instances.clear_selection();
        active4_5_instances.clear_selection();
        if (!check_overlap(camerachaser_46_instances, active4_5_instances)) goto event_130_4_end;
        if (!((((Active*)get_instance(camerachaser_46_instances))->get_y()) > (((Active*)get_instance(active4_5_instances))->get_x()))) goto event_130_4_end;
        if (!check_not_overlap(active4_5_instances, lockxy_135_instances)) goto event_130_4_end;
        if (!check_not_overlap(active4_5_instances, xonlyscroll_133_instances)) goto event_130_4_end;
        if (!((((Active*)get_instance(camerashaker_247_instances))->alterables->values.get(5)) == (0))) goto event_130_4_end;
        ((Active*)get_instance(camerachaser_46_instances))->set_y(((Active*)get_instance(camerachaser_46_instances))->get_y()-1);
        ((Active*)get_instance(camerashaker_247_instances))->set_x(((Active*)get_instance(camerachaser_46_instances))->get_x()+((Active*)get_instance(camerashaker_247_instances))->alterables->values.get(1));
        ((Active*)get_instance(camerashaker_247_instances))->set_y(((Active*)get_instance(camerachaser_46_instances))->get_y()+((Active*)get_instance(camerashaker_247_instances))->alterables->values.get(0));
    }
    event_130_4_end: ;
}
void Frames::event_func_511()
{
    // event 131_4
    {
        // group: Scrolling
        ((Active*)get_instance(screencamlayercamera_253_instances))->set_x(((Active*)get_instance(camerachaser_46_instances))->get_x());
        ((Active*)get_instance(screencamlayercamera_253_instances))->set_y(((Active*)get_instance(camerachaser_46_instances))->get_y());
        {
            loop_camcheck1_running = true;
            int times = int(10);
            loop_camcheck1_index = 0;
            while (loop_camcheck1_index < times) {
                loop_camcheck1_4();
                if (!loop_camcheck1_running) break;
                loop_camcheck1_index++;
            }
        }
    }
    event_131_4_end: ;
}
void Frames::event_func_512()
{
    // event 132_4
    {
        // group: Scrolling
        if (!((((Active*)get_instance(camerashaker_247_instances))->alterables->values.get(2)) > (0))) goto event_132_4_end;
        ((Active*)get_instance(camerashaker_247_instances))->alterables->values.set(1, randrange_event(2*((Active*)get_instance(camerashaker_247_instances))->alterables->values.get(2))-((Active*)get_instance(camerashaker_247_instances))->alterables->values.get(2)); // 'camera shaker'
        ((Active*)get_instance(camerashaker_247_instances))->alterables->values.set(2, (((Active*)get_instance(camerashaker_247_instances))->alterables->values.get(2)*(14.0/MathHelper()/15.0))-0.2); // 'camera shaker'
    }
    event_132_4_end: ;
}
void Frames::event_func_513()
{
    // event 133_4
    {
        // group: Scrolling
        if (!((((Active*)get_instance(camerashaker_247_instances))->alterables->values.get(2)) <= (0))) goto event_133_4_end;
        ((Active*)get_instance(camerashaker_247_instances))->alterables->values.set(2, 0); // 'camera shaker'
        ((Active*)get_instance(camerashaker_247_instances))->alterables->values.set(1, 0); // 'camera shaker'
    }
    event_133_4_end: ;
}
void Frames::event_func_514()
{
    // event 134_4
    {
        // group: Scrolling
        if (!((global_values->get(11)) == (0))) goto event_134_4_end;
        ((Active*)get_instance(camerashaker_247_instances))->alterables->values.set(2, 0); // 'camera shaker'
        ((Active*)get_instance(camerashaker_247_instances))->alterables->values.set(1, 0); // 'camera shaker'
        ((Active*)get_instance(camerashaker_247_instances))->alterables->values.set(3, 0); // 'camera shaker'
        ((Active*)get_instance(camerashaker_247_instances))->alterables->values.set(0, 0); // 'camera shaker'
    }
    event_134_4_end: ;
}
void Frames::event_func_515()
{
    // event 135_4
    {
        // group: Scrolling
        if (!((((Active*)get_instance(camerashaker_247_instances))->alterables->values.get(3)) > (0))) goto event_135_4_end;
        ((Active*)get_instance(camerashaker_247_instances))->alterables->values.set(0, randrange_event(2*((Active*)get_instance(camerashaker_247_instances))->alterables->values.get(3))-((Active*)get_instance(camerashaker_247_instances))->alterables->values.get(3)); // 'camera shaker'
        ((Active*)get_instance(camerashaker_247_instances))->alterables->values.set(3, (((Active*)get_instance(camerashaker_247_instances))->alterables->values.get(3)*(14.0/MathHelper()/15.0))-0.2); // 'camera shaker'
    }
    event_135_4_end: ;
}
void Frames::event_func_516()
{
    // event 136_4
    {
        // group: Scrolling
        if (!((((Active*)get_instance(camerashaker_247_instances))->alterables->values.get(3)) <= (0))) goto event_136_4_end;
        ((Active*)get_instance(camerashaker_247_instances))->alterables->values.set(3, 0); // 'camera shaker'
        ((Active*)get_instance(camerashaker_247_instances))->alterables->values.set(0, 0); // 'camera shaker'
    }
    event_136_4_end: ;
}
void Frames::event_func_517()
{
    // event 137_4
    {
        // group: Scrolling
        if (!((global_values->get(8)) == (0))) goto event_137_4_end;
        if (!(loop_count <= 1)) goto event_137_4_end;
        ((Active*)get_instance(camerashaker_247_instances))->set_x(((Active*)get_instance(player_93_instances))->get_x());
        ((Active*)get_instance(camerashaker_247_instances))->set_y(((Active*)get_instance(player_93_instances))->get_y());
        ((Active*)get_instance(cameratarget_248_instances))->set_x(((Active*)get_instance(player_93_instances))->get_x());
        ((Active*)get_instance(cameratarget_248_instances))->set_y(((Active*)get_instance(player_93_instances))->get_y());
        ((Active*)get_instance(active4_5_instances))->set_x(((Active*)get_instance(player_93_instances))->get_x());
        ((Active*)get_instance(active4_5_instances))->set_y(((Active*)get_instance(player_93_instances))->get_y());
        ((Active*)get_instance(camerachaser_46_instances))->set_x(((Active*)get_instance(player_93_instances))->get_x());
        ((Active*)get_instance(camerachaser_46_instances))->set_y(((Active*)get_instance(player_93_instances))->get_y());
    }
    event_137_4_end: ;
}
void Frames::event_func_518()
{
    // event 138_4
    {
        // group: Scrolling
        if (!((global_values->get(8)) != (0))) goto event_138_4_end;
        if (!(loop_count <= 1)) goto event_138_4_end;
        ((Active*)get_instance(camerashaker_247_instances))->set_x(global_values->get(8));
        ((Active*)get_instance(camerashaker_247_instances))->set_y(global_values->get(9));
        ((Active*)get_instance(cameratarget_248_instances))->set_x(global_values->get(8));
        ((Active*)get_instance(cameratarget_248_instances))->set_y(global_values->get(9));
        ((Active*)get_instance(active4_5_instances))->set_x(global_values->get(8));
        ((Active*)get_instance(active4_5_instances))->set_y(global_values->get(9));
        ((Active*)get_instance(camerachaser_46_instances))->set_x(global_values->get(8));
        ((Active*)get_instance(camerachaser_46_instances))->set_y(global_values->get(9));
    }
    event_138_4_end: ;
}
void Frames::event_func_519()
{
    // event 139_4
    {
        // group: Vert Platforms
        vertdetector_107_instances.clear_selection();
        vertplatform_106_instances.clear_selection();
        if (!check_overlap(vertdetector_107_instances, vertplatform_106_instances)) goto event_139_4_end;
        for (ObjectIterator it(vertplatform_106_instances); !it.end(); ++it) {
            FrameObject * parent = ((Active*)get_single(vertdetector_107_instances, it.current_index));
            if (parent == NULL) goto pos_end_139_4_0;
            ((Active*)*it)->set_global_position(parent->get_x() + 0, parent->get_y() + 1);
            pos_end_139_4_0: ;
        }
    }
    event_139_4_end: ;
}
void Frames::event_func_520()
{
    // event 140_4
    {
        // group: Vert Platforms
        vertdetector_107_instances.clear_selection();
        for (ObjectIterator it(vertdetector_107_instances); !it.end(); ++it) {
            ((Active*)*it)->set_y(((Active*)*it)->get_y()+((Active*)*it)->alterables->values.get(0));
        }
    }
    event_140_4_end: ;
}
void Frames::event_func_521()
{
    // event 142_4
    {
        // group: Vert Platforms
        vertdetector_107_instances.clear_selection();
        objliftreverse_179_instances.clear_selection();
        if (!check_overlap(vertdetector_107_instances, objliftreverse_179_instances)) goto event_142_4_end;
        for (ObjectIterator it(vertdetector_107_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (2))) { it.deselect(); continue; }
        }
        if (!vertdetector_107_instances.has_selection()) goto event_142_4_end;
        for (ObjectIterator it(vertdetector_107_instances); !it.end(); ++it) {
            ((Active*)*it)->set_y(((Active*)*it)->get_y()-((Active*)*it)->alterables->values.get(0));
            ((Active*)*it)->alterables->values.set(0, -2); // 'Vert Detector'
        }
    }
    event_142_4_end: ;
}
void Frames::event_func_522()
{
    // event 143_4
    {
        // group: Vert Platforms
        vertdetector_107_instances.clear_selection();
        objliftreverse_179_instances.clear_selection();
        if (!check_overlap(vertdetector_107_instances, objliftreverse_179_instances)) goto event_143_4_end;
        for (ObjectIterator it(vertdetector_107_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (-2))) { it.deselect(); continue; }
        }
        if (!vertdetector_107_instances.has_selection()) goto event_143_4_end;
        for (ObjectIterator it(vertdetector_107_instances); !it.end(); ++it) {
            ((Active*)*it)->set_y(((Active*)*it)->get_y()-((Active*)*it)->alterables->values.get(0));
            ((Active*)*it)->alterables->values.set(0, 2); // 'Vert Detector'
        }
    }
    event_143_4_end: ;
}
void Frames::event_func_523()
{
    // event 144_4
    {
        // group: Vert Platforms
        vertdetector_107_instances.clear_selection();
        enemydown_160_instances.clear_selection();
        if (!check_overlap(vertdetector_107_instances, enemydown_160_instances)) goto event_144_4_end;
        for (ObjectIterator it(vertdetector_107_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, 2); // 'Vert Detector'
        }
    }
    event_144_4_end: ;
}
void Frames::event_func_524()
{
    // event 145_4
    {
        // group: Vert Platforms
        vertdetector_107_instances.clear_selection();
        enemyup_162_instances.clear_selection();
        if (!check_overlap(vertdetector_107_instances, enemyup_162_instances)) goto event_145_4_end;
        for (ObjectIterator it(vertdetector_107_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, -2); // 'Vert Detector'
        }
    }
    event_145_4_end: ;
}
void Frames::event_func_525()
{
    // event 148_4
    {
        // group: Vert Platforms
        vertdetector_107_instances.clear_selection();
        player_93_instances.clear_selection();
        if (!check_overlap(vertdetector_107_instances, player_93_instances)) goto event_148_4_end;
        for (ObjectIterator it(vertdetector_107_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) < (0))) { it.deselect(); continue; }
        }
        if (!vertdetector_107_instances.has_selection()) goto event_148_4_end;
        if (!((((Active*)get_instance(player_93_instances))->alterables->values.get(6)) == (0))) goto event_148_4_end;
        if (!((((Active*)get_instance(player_93_instances))->alterables->values.get(0)) >= (0))) goto event_148_4_end;
        ((Active*)get_instance(player_93_instances))->set_y(((Active*)get_single(vertdetector_107_instances, default_active_instance))->get_y()-15);
        ((Active*)get_instance(player_93_instances))->alterables->values.set(0, 0); // 'Player'
            loop_gravity_running = false;
    
        ((Active*)get_instance(player_93_instances))->alterables->values.set(2, 0); // 'Player'
    }
    event_148_4_end: ;
}
void Frames::event_func_526()
{
    // event 149_4
    {
        // group: Vert Platforms
        vertdetector_107_instances.clear_selection();
        player_93_instances.clear_selection();
        if (!check_overlap(vertdetector_107_instances, player_93_instances)) goto event_149_4_end;
        for (ObjectIterator it(vertdetector_107_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) > (0))) { it.deselect(); continue; }
        }
        if (!vertdetector_107_instances.has_selection()) goto event_149_4_end;
        if (!((((Active*)get_instance(player_93_instances))->alterables->values.get(6)) == (0))) goto event_149_4_end;
        if (!((((Active*)get_instance(player_93_instances))->alterables->values.get(0)) >= (0))) goto event_149_4_end;
        ((Active*)get_instance(player_93_instances))->set_y(((Active*)get_single(vertdetector_107_instances, default_active_instance))->get_y()-15);
        ((Active*)get_instance(player_93_instances))->alterables->values.set(0, 0); // 'Player'
        ((Active*)get_instance(player_93_instances))->alterables->values.set(2, 0); // 'Player'
    }
    event_149_4_end: ;
}
void Frames::event_func_527()
{
    // event 151_4
    {
        // group: Vert Platforms
        player_93_instances.clear_selection();
        vertdetector_107_instances.clear_selection();
        if (!check_overlap(player_93_instances, vertdetector_107_instances)) goto event_151_4_end;
        if (!(is_player_pressed(1, CONTROL_RIGHT))) goto event_151_4_end;
        for (ObjectIterator it(vertdetector_107_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) > (0))) { it.deselect(); continue; }
        }
        if (!vertdetector_107_instances.has_selection()) goto event_151_4_end;
        ((Active*)get_instance(player_93_instances))->set_x(((Active*)get_instance(player_93_instances))->get_x()+3);
    }
    event_151_4_end: ;
}
void Frames::event_func_528()
{
    // event 152_4
    {
        // group: Vert Platforms
        player_93_instances.clear_selection();
        vertdetector_107_instances.clear_selection();
        if (!check_overlap(player_93_instances, vertdetector_107_instances)) goto event_152_4_end;
        if (!(is_player_pressed(1, CONTROL_LEFT))) goto event_152_4_end;
        for (ObjectIterator it(vertdetector_107_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) > (0))) { it.deselect(); continue; }
        }
        if (!vertdetector_107_instances.has_selection()) goto event_152_4_end;
        ((Active*)get_instance(player_93_instances))->set_x(((Active*)get_instance(player_93_instances))->get_x()-3);
    }
    event_152_4_end: ;
}
void Frames::event_func_529()
{
    // event 153_4
    {
        // group: Vert Platforms
        if (!(is_player_pressed_once(1, CONTROL_BUTTON1))) goto event_153_4_end;
        player_93_instances.clear_selection();
        vertdetector_107_instances.clear_selection();
        if (!check_overlap(player_93_instances, vertdetector_107_instances)) goto event_153_4_end;
        ((Active*)get_instance(player_93_instances))->alterables->values.set(0, -10); // 'Player'
        ((Active*)get_instance(player_93_instances))->alterables->values.set(2, 1); // 'Player'
        ((Active*)get_instance(player_93_instances))->alterables->values.set(6, 1); // 'Player'
        ((Active*)get_instance(player_93_instances))->set_y(((Active*)get_instance(sprite_99_instances, default_active_instance))->get_y()-20);
    }
    event_153_4_end: ;
}
void Frames::event_func_530()
{
    // event 154_4
    {
        // group: Vert Platforms
        if (!((((Active*)get_instance(player_93_instances))->alterables->values.get(0)) > (0))) goto event_154_4_end;
        ((Active*)get_instance(player_93_instances))->alterables->values.set(6, 0); // 'Player'
    }
    event_154_4_end: ;
}
void Frames::event_func_531()
{
    // event 155_4
    {
        // group: Vert Platforms
        player_93_instances.clear_selection();
        vertplatform_106_instances.clear_selection();
        if (!check_overlap(player_93_instances, vertplatform_106_instances)) goto event_155_4_end;
        if (!((((Active*)get_instance(player_93_instances))->alterables->values.get(0)) < (0))) goto event_155_4_end;
        ((Active*)get_instance(player_93_instances))->alterables->values.set(0, 2); // 'Player'
        ((Active*)get_instance(player_93_instances))->set_y(((Active*)get_instance(player_93_instances))->get_y()+3);
    }
    event_155_4_end: ;
}
void Frames::event_func_532()
{
    // event 156_4
    {
        // group: Fans
        player_93_instances.clear_selection();
        objfan_125_instances.clear_selection();
        if (!check_overlap(player_93_instances, objfan_125_instances)) goto event_156_4_end;
        ((Active*)get_instance(player_93_instances))->alterables->values.sub(0, 1); // 'Player'
    }
    event_156_4_end: ;
}
void Frames::event_func_533()
{
    // event 157_4
    {
        // group: Fans
        player_93_instances.clear_selection();
        objfan_125_instances.clear_selection();
        if (!check_overlap(player_93_instances, objfan_125_instances)) goto event_157_4_end;
        if (!(is_player_pressed(1, CONTROL_BUTTON1))) goto event_157_4_end;
        ((Active*)get_instance(player_93_instances))->alterables->values.add(0, 0.45); // 'Player'
    }
    event_157_4_end: ;
}
void Frames::event_func_534()
{
    // event 162_4
    {
        // group: Story events
        if (!(((Active*)get_instance(inputcoordinatorsecretary_116_instances))->animation_finished == 1)) goto event_162_4_end;
        trapdoor_115_instances.clear_selection();
        for (ObjectIterator it(trapdoor_115_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        ((Active*)get_instance(inputcoordinatorsecretary_116_instances))->alterables->values.set(0, 1); // 'input co-ordinator (secretary)'
    }
    event_162_4_end: ;
}
void Frames::event_func_535()
{
    // event 163_4
    {
        // group: Story events
        player_93_instances.clear_selection();
        lgflattener_119_instances.clear_selection();
        if (!check_overlap(player_93_instances, lgflattener_119_instances)) goto event_163_4_end;
        for (ObjectIterator it(lgflattener_119_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        sprite_99_instances.clear_selection();
        for (ObjectIterator it(sprite_99_instances); !it.end(); ++it) {
            ((Active*)*it)->set_visible(false);
        }
        FrameObject * single_instance_163_4_0; single_instance_163_4_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(lgflattener_119_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_active13_120(parent->x + 0, parent->y + -28), parent->layer);
                if (single_instance_163_4_0 == NULL)
                    single_instance_163_4_0 = new_obj;
            }
        }
    }
    event_163_4_end: ;
}
void Frames::event_func_536()
{
    // event 164_4
    {
        // group: Story events
        sprite_99_instances.clear_selection();
        for (ObjectIterator it(sprite_99_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 12)) { it.deselect(); continue; }
        }
        if (!sprite_99_instances.has_selection()) goto event_164_4_end;
        for (ObjectIterator it(sprite_99_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
        manager.ignore_controls = false;
    }
    event_164_4_end: ;
}
void Frames::event_func_537()
{
    // event 165_4
    {
        // group: Story events
        if (!(((Active*)get_instance(inputcoordinatorsecretary_116_instances))->test_animation(1))) goto event_165_4_end;
        sprite_99_instances.clear_selection();
        for (ObjectIterator it(sprite_99_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_165_4_end: ;
}
void Frames::event_func_538()
{
    // event 167_4
    {
        // group: Story events
        active13_14_instances.clear_selection();
        for (ObjectIterator it(active13_14_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 0)) { it.deselect(); continue; }
        }
        if (!active13_14_instances.has_selection()) goto event_167_4_end;
        for (ObjectIterator it(active13_14_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        manager.ignore_controls = false;
        sprite_99_instances.clear_selection();
        for (ObjectIterator it(sprite_99_instances); !it.end(); ++it) {
            ((Active*)*it)->set_visible(true);
        }
    }
    event_167_4_end: ;
}
void Frames::event_func_539()
{
    // event 168_4
    {
        // group: Story events
        player_93_instances.clear_selection();
        obscuretastictiles_117_instances.clear_selection();
        if (!check_overlap(player_93_instances, obscuretastictiles_117_instances)) goto event_168_4_end;
        ((Active*)get_instance(obscuretastictiles_117_instances))->move_front();
    }
    event_168_4_end: ;
}
void Frames::event_func_540()
{
    // event 169_4
    {
        // group: Guns!
        if (!(is_player_pressed_once(1, CONTROL_BUTTON2))) goto event_169_4_end;
        if (!((((Active*)get_instance(player_93_instances))->alterables->values.get(5)) == (0))) goto event_169_4_end;
        if (!((bullet_121_instances.size()) < (3))) goto event_169_4_end;
        if (!((((Active*)get_instance(player_93_instances))->alterables->values.get(8)) == (0))) goto event_169_4_end;
        if (!((((Active*)get_instance(player_93_instances))->alterables->values.get(4)) == (0))) goto event_169_4_end;
        if (not_always_169_4_0 > loop_count) {
            not_always_169_4_0 = loop_count + 2;
            goto event_169_4_end;
        }
        not_always_169_4_0 = loop_count + 2;
        FrameObject * single_instance_169_4_1; single_instance_169_4_1 = NULL;
        // select single: true false false
        {
            FrameObject * parent = ((Active*)get_instance(player_93_instances));
            {
                FrameObject * new_obj;
                new_obj = add_object(create_bullet_121(parent->x + 11, parent->y + -4), parent->layer);
                if (single_instance_169_4_1 == NULL)
                    single_instance_169_4_1 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_169_4_1))->alterables->values.set(0, 7*((Active*)get_instance(player_93_instances))->alterables->values.get(13)); // 'Bullet'
        sprite_99_instances.clear_selection();
        for (ObjectIterator it(sprite_99_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(3, 1); // 'Sprite'
        }
        ((Active*)((Active*)single_instance_169_4_1))->alterables->values.set(3, 1); // 'Bullet'
        ((Active*)((Active*)single_instance_169_4_1))->alterables->values.set(5, ((Active*)get_instance(player_93_instances))->alterables->values.get(16)); // 'Bullet'
        ((Active*)((Active*)single_instance_169_4_1))->alterables->values.set(4, ((Active*)get_instance(player_93_instances))->alterables->values.get(15)); // 'Bullet'
        ((Active*)((Active*)single_instance_169_4_1))->force_animation(((Active*)get_instance(player_93_instances))->alterables->values.get(14));
    }
    event_169_4_end: ;
}
void Frames::event_func_541()
{
    // event 170_4
    {
        // group: Guns!
        if (!(is_player_pressed_once(1, CONTROL_BUTTON2))) goto event_170_4_end;
        if (!((((Active*)get_instance(player_93_instances))->alterables->values.get(5)) == (1))) goto event_170_4_end;
        if (!((bullet_121_instances.size()) < (3))) goto event_170_4_end;
        if (!((((Active*)get_instance(player_93_instances))->alterables->values.get(8)) == (0))) goto event_170_4_end;
        if (!((((Active*)get_instance(player_93_instances))->alterables->values.get(4)) == (0))) goto event_170_4_end;
        if (not_always_170_4_0 > loop_count) {
            not_always_170_4_0 = loop_count + 2;
            goto event_170_4_end;
        }
        not_always_170_4_0 = loop_count + 2;
        FrameObject * single_instance_170_4_1; single_instance_170_4_1 = NULL;
        // select single: true false false
        {
            FrameObject * parent = ((Active*)get_instance(player_93_instances));
            {
                FrameObject * new_obj;
                new_obj = add_object(create_bullet_121(parent->x + -11, parent->y + -4), parent->layer);
                if (single_instance_170_4_1 == NULL)
                    single_instance_170_4_1 = new_obj;
            }
        }
        sprite_99_instances.clear_selection();
        for (ObjectIterator it(sprite_99_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(3, 1); // 'Sprite'
        }
        ((Active*)((Active*)single_instance_170_4_1))->alterables->values.set(0, 7*((Active*)get_instance(player_93_instances))->alterables->values.get(13)); // 'Bullet'
        ((Active*)((Active*)single_instance_170_4_1))->alterables->values.set(3, -1); // 'Bullet'
        ((Active*)((Active*)single_instance_170_4_1))->alterables->values.set(5, ((Active*)get_instance(player_93_instances))->alterables->values.get(16)); // 'Bullet'
        ((Active*)((Active*)single_instance_170_4_1))->alterables->values.set(4, ((Active*)get_instance(player_93_instances))->alterables->values.get(15)); // 'Bullet'
        ((Active*)((Active*)single_instance_170_4_1))->force_animation(((Active*)get_instance(player_93_instances))->alterables->values.get(14));
    }
    event_170_4_end: ;
}
void Frames::event_func_542()
{
    // event 171_4
    {
        // group: Guns!
        if (!(is_player_pressed(1, CONTROL_RIGHT))) goto event_171_4_end;
        if (!((((Active*)get_instance(player_93_instances))->alterables->values.get(8)) == (0))) goto event_171_4_end;
        ((Active*)get_instance(player_93_instances))->alterables->values.set(5, 0); // 'Player'
    }
    event_171_4_end: ;
}
void Frames::event_func_543()
{
    // event 172_4
    {
        // group: Guns!
        if (!(is_player_pressed(1, CONTROL_LEFT))) goto event_172_4_end;
        if (!((((Active*)get_instance(player_93_instances))->alterables->values.get(8)) == (0))) goto event_172_4_end;
        ((Active*)get_instance(player_93_instances))->alterables->values.set(5, 1); // 'Player'
    }
    event_172_4_end: ;
}
void Frames::event_func_544()
{
    // event 173_4
    {
        // group: Guns!
        bullet_121_instances.clear_selection();
        for (ObjectIterator it(bullet_121_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->is_near_border(-6))) { it.deselect(); continue; }
        }
        if (!bullet_121_instances.has_selection()) goto event_173_4_end;
        for (ObjectIterator it(bullet_121_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_173_4_end: ;
}
void Frames::event_func_545()
{
    // event 174_4
    {
        // group: Guns!
        bullet_121_instances.clear_selection();
        for (ObjectIterator it(bullet_121_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(5)) <= (0))) { it.deselect(); continue; }
        }
        if (!bullet_121_instances.has_selection()) goto event_174_4_end;
        for (ObjectIterator it(bullet_121_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_174_4_end: ;
}
void Frames::event_func_546()
{
    // event 175_4
    {
        // group: Guns!
        bullet_121_instances.clear_selection();
        for (ObjectIterator it(bullet_121_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x((((Active*)*it)->get_x()+((Active*)*it)->alterables->values.get(0)*((Active*)*it)->alterables->values.get(3)));
            ((Active*)*it)->set_y(((Active*)*it)->get_y()+(((Active*)*it)->alterables->values.get(0)*((Active*)*it)->alterables->values.get(2)));
        }
    }
    event_175_4_end: ;
}
void Frames::event_func_547()
{
    // event 176_4
    {
        // group: Guns!
        if (!(is_player_pressed_once(1, CONTROL_BUTTON2))) goto event_176_4_end;
        if (!((((Active*)get_instance(player_93_instances))->alterables->values.get(5)) == (0))) goto event_176_4_end;
        if (!((bullet_121_instances.size()) < (3))) goto event_176_4_end;
        if (!((((Active*)get_instance(player_93_instances))->alterables->values.get(8)) == (0))) goto event_176_4_end;
        if (!((((Active*)get_instance(player_93_instances))->alterables->values.get(4)) != (0))) goto event_176_4_end;
        FrameObject * single_instance_176_4_0; single_instance_176_4_0 = NULL;
        // select single: true false false
        {
            FrameObject * parent = ((Active*)get_instance(player_93_instances));
            {
                FrameObject * new_obj;
                new_obj = add_object(create_bullet_121(parent->x + 11, parent->y + -4), parent->layer);
                if (single_instance_176_4_0 == NULL)
                    single_instance_176_4_0 = new_obj;
            }
        }
        sprite_99_instances.clear_selection();
        for (ObjectIterator it(sprite_99_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(3, 1); // 'Sprite'
        }
        ((Active*)((Active*)single_instance_176_4_0))->alterables->values.set(0, 12*((Active*)get_instance(player_93_instances))->alterables->values.get(13)); // 'Bullet'
        ((Active*)((Active*)single_instance_176_4_0))->alterables->values.set(3, 1); // 'Bullet'
        ((Active*)((Active*)single_instance_176_4_0))->alterables->values.set(5, ((Active*)get_instance(player_93_instances))->alterables->values.get(16)); // 'Bullet'
        ((Active*)((Active*)single_instance_176_4_0))->alterables->values.set(4, ((Active*)get_instance(player_93_instances))->alterables->values.get(15)); // 'Bullet'
        ((Active*)((Active*)single_instance_176_4_0))->force_animation(((Active*)get_instance(player_93_instances))->alterables->values.get(14));
    }
    event_176_4_end: ;
}
void Frames::event_func_548()
{
    // event 177_4
    {
        // group: Guns!
        if (!(is_player_pressed_once(1, CONTROL_BUTTON2))) goto event_177_4_end;
        if (!((((Active*)get_instance(player_93_instances))->alterables->values.get(5)) == (1))) goto event_177_4_end;
        if (!((bullet_121_instances.size()) < (3))) goto event_177_4_end;
        if (!((((Active*)get_instance(player_93_instances))->alterables->values.get(8)) == (0))) goto event_177_4_end;
        if (!((((Active*)get_instance(player_93_instances))->alterables->values.get(4)) != (0))) goto event_177_4_end;
        FrameObject * single_instance_177_4_0; single_instance_177_4_0 = NULL;
        // select single: true false false
        {
            FrameObject * parent = ((Active*)get_instance(player_93_instances));
            {
                FrameObject * new_obj;
                new_obj = add_object(create_bullet_121(parent->x + -11, parent->y + -4), parent->layer);
                if (single_instance_177_4_0 == NULL)
                    single_instance_177_4_0 = new_obj;
            }
        }
        sprite_99_instances.clear_selection();
        for (ObjectIterator it(sprite_99_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(3, 1); // 'Sprite'
        }
        ((Active*)((Active*)single_instance_177_4_0))->alterables->values.set(0, 12*((Active*)get_instance(player_93_instances))->alterables->values.get(13)); // 'Bullet'
        ((Active*)((Active*)single_instance_177_4_0))->alterables->values.set(3, -1); // 'Bullet'
        ((Active*)((Active*)single_instance_177_4_0))->alterables->values.set(5, ((Active*)get_instance(player_93_instances))->alterables->values.get(16)); // 'Bullet'
        ((Active*)((Active*)single_instance_177_4_0))->alterables->values.set(4, ((Active*)get_instance(player_93_instances))->alterables->values.get(15)); // 'Bullet'
        ((Active*)((Active*)single_instance_177_4_0))->force_animation(((Active*)get_instance(player_93_instances))->alterables->values.get(14));
    }
    event_177_4_end: ;
}
void Frames::event_func_549()
{
    // event 179_4
    {
        // group: Graphical Effects
        if (!((((Active*)get_instance(player_93_instances))->alterables->values.get(4)) > (0))) goto event_179_4_end;
        FrameObject * single_instance_179_4_0; single_instance_179_4_0 = NULL;
        // select single: true false false
        sprite_99_instances.clear_selection();
        for (ObjectIterator p_it(sprite_99_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_afterimager_122(parent->x + 0, parent->y + 0), parent->layer);
                if (single_instance_179_4_0 == NULL)
                    single_instance_179_4_0 = new_obj;
            }
        }
        for (ObjectIterator it(sprite_99_instances); !it.end(); ++it) {
            ((Active*)*it)->move_front();
        }
    }
    event_179_4_end: ;
}
void Frames::event_func_550()
{
    // event 180_4
    {
        // group: Graphical Effects
        afterimager_122_instances.clear_selection();
        for (ObjectIterator it(afterimager_122_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 0)) { it.deselect(); continue; }
        }
        if (!afterimager_122_instances.has_selection()) goto event_180_4_end;
        for (ObjectIterator it(afterimager_122_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_180_4_end: ;
}
void Frames::event_func_551()
{
    // event 181_4
    {
        // group: Graphical Effects
        if (!((((Active*)get_instance(player_93_instances))->alterables->values.get(4)) == (0))) goto event_181_4_end;
        afterimager_122_instances.clear_selection();
        for (ObjectIterator it(afterimager_122_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        afterimagel2_123_instances.clear_selection();
        for (ObjectIterator it(afterimagel2_123_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_181_4_end: ;
}
void Frames::event_func_552()
{
    // event 182_4
    {
        // group: Graphical Effects
        if (!((((Active*)get_instance(player_93_instances))->alterables->values.get(4)) < (0))) goto event_182_4_end;
        FrameObject * single_instance_182_4_0; single_instance_182_4_0 = NULL;
        // select single: true false false
        sprite_99_instances.clear_selection();
        for (ObjectIterator p_it(sprite_99_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_afterimagel2_123(parent->x + 0, parent->y + 0), parent->layer);
                if (single_instance_182_4_0 == NULL)
                    single_instance_182_4_0 = new_obj;
            }
        }
        for (ObjectIterator it(sprite_99_instances); !it.end(); ++it) {
            ((Active*)*it)->move_front();
        }
    }
    event_182_4_end: ;
}
void Frames::event_func_553()
{
    // event 183_4
    {
        // group: Graphical Effects
        afterimagel2_123_instances.clear_selection();
        for (ObjectIterator it(afterimagel2_123_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 0)) { it.deselect(); continue; }
        }
        if (!afterimagel2_123_instances.has_selection()) goto event_183_4_end;
        for (ObjectIterator it(afterimagel2_123_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_183_4_end: ;
}
void Frames::event_func_554()
{
    // event 184_4
    {
        // group: Graphical Effects
        every_184_4_0 += manager.dt;
        if (every_184_4_0 < 1.0) goto event_184_4_end;
        every_184_4_0 -= 1.0;
        ((Active*)get_instance(obscuretastictiles_117_instances))->move_front();
    }
    event_184_4_end: ;
}
void Frames::event_func_555()
{
    // event 185_4
    {
        // group: Graphical Effects
        player_93_instances.clear_selection();
        objwatertop_128_instances.clear_selection();
        if (!check_overlap(player_93_instances, objwatertop_128_instances)) goto event_185_4_end;
        if (!((((Active*)get_instance(player_93_instances))->alterables->values.get(0)) >= (0))) goto event_185_4_end;
        if (not_always_185_4_0 > loop_count) {
            not_always_185_4_0 = loop_count + 2;
            goto event_185_4_end;
        }
        not_always_185_4_0 = loop_count + 2;
        FrameObject * single_instance_185_4_1; single_instance_185_4_1 = NULL;
        // select single: true false false
        sprite_99_instances.clear_selection();
        for (ObjectIterator p_it(sprite_99_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_background_129(parent->x + -30, parent->y + -23), parent->layer);
                if (single_instance_185_4_1 == NULL)
                    single_instance_185_4_1 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_185_4_1))->move_back();
        ((Active*)((Active*)single_instance_185_4_1))->set_y(((Active*)get_single(objwatertop_128_instances, default_active_instance))->get_y()-10);
    }
    event_185_4_end: ;
}
void Frames::event_func_556()
{
    // event 187_4
    {
        // group: Sounds
        if (!((((Active*)get_instance(framedatastore_183_instances))->alterables->values.get(9)) != (((Active*)get_instance(player_93_instances))->get_y()))) goto event_187_4_end;
        ((Active*)get_instance(framedatastore_183_instances))->alterables->values.set(11, 1); // 'FrameDataStore'
    }
    event_187_4_end: ;
}
void Frames::event_func_557()
{
    // event 188_4
    {
        // group: Sounds
        sprite_99_instances.clear_selection();
        for (ObjectIterator it(sprite_99_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) == (1))) { it.deselect(); continue; }
        }
        if (!sprite_99_instances.has_selection()) goto event_188_4_end;
        if (!((((Active*)get_instance(player_93_instances))->alterables->values.get(12)) == (0))) goto event_188_4_end;
        for (ObjectIterator it(sprite_99_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(3, 0); // 'Sprite'
        }
        media.play_id(SOUND_BASSGUN_9, 3-1);
        media.set_sample_volume(SOUND_BASSGUN_9, global_values->get(12)*1.0);
    }
    event_188_4_end: ;
}
void Frames::event_func_558()
{
    // event 189_4
    {
        // group: Sounds
        sprite_99_instances.clear_selection();
        for (ObjectIterator it(sprite_99_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) == (1))) { it.deselect(); continue; }
        }
        if (!sprite_99_instances.has_selection()) goto event_189_4_end;
        if (!((((Active*)get_instance(player_93_instances))->alterables->values.get(12)) > (0))) goto event_189_4_end;
        for (ObjectIterator it(sprite_99_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(3, 0); // 'Sprite'
        }
        media.set_sample_volume(SOUND_LGSFX1_MIXDOWN_19, global_values->get(12)*0.3);
        media.play_id(SOUND_LGSFX1_MIXDOWN_19, 3-1);
    }
    event_189_4_end: ;
}
void Frames::event_func_559()
{
    // event 190_4
    {
        // group: Sounds
        if (!((((Active*)get_instance(player_93_instances))->alterables->values.get(4)) != (0))) goto event_190_4_end;
        if (not_always_190_4_0 > loop_count) {
            not_always_190_4_0 = loop_count + 2;
            goto event_190_4_end;
        }
        not_always_190_4_0 = loop_count + 2;
        media.stop_sample(SOUND_DASH_2_1);
        media.set_sample_volume(SOUND_DASH_2_1, global_values->get(12)*0.5);
        media.play_id(SOUND_DASH_2_1, -1, 1);
        media.set_sample_volume(SOUND_DASH_2_1, global_values->get(12)*0.5);
    }
    event_190_4_end: ;
}
void Frames::event_func_560()
{
    // event 191_4
    {
        // group: Sounds
        if (!(((Active*)get_instance(detector_94_instances))->overlaps_background())) goto event_191_4_end;
        if (!((((Active*)get_instance(player_93_instances))->alterables->values.get(0)) >= (0))) goto event_191_4_end;
        if (!((((Active*)get_instance(framedatastore_183_instances))->alterables->values.get(11)) == (1))) goto event_191_4_end;
        if (not_always_191_4_0 > loop_count) {
            not_always_191_4_0 = loop_count + 2;
            goto event_191_4_end;
        }
        not_always_191_4_0 = loop_count + 2;
        media.stop_sample(SOUND_GETONGROUND_2);
        media.play_id(SOUND_GETONGROUND_2, -1, 1);
        media.set_sample_volume(SOUND_GETONGROUND_2, global_values->get(12)*0.4);
    }
    event_191_4_end: ;
}
void Frames::event_func_561()
{
    // event 192_4
    {
        // group: Sounds
        if (!(frame_time <= 1.13)) goto event_192_4_end;
        media.stop_sample(SOUND_GETONGROUND_2);
        media.set_sample_volume(SOUND_GETONGROUND_2, 0);
    }
    event_192_4_end: ;
}
void Frames::event_func_562()
{
    // event 195_4
    bool or_result_195_4 = false;
    bool or_temp_result_195_4_0 = false;
    {
        // group: Sounds
        detector_94_instances.clear_selection();
        objeyeblock_169_instances.clear_selection();
        if (!check_overlap(detector_94_instances, objeyeblock_169_instances)) goto or_event_195_4_0_end;
        or_result_195_4 = true;
        or_temp_result_195_4_0 = true;
    }
    or_event_195_4_0_end: ;
    objeyeblock_169_instances.clear_saved_selection();
    detector_94_instances.clear_saved_selection();
    if (or_temp_result_195_4_0) {
        objeyeblock_169_instances.save_selection();
        detector_94_instances.save_selection();
    }
    // event 195_4
    bool or_temp_result_195_4_1 = false;
    {
        // group: Sounds
        detector_94_instances.clear_selection();
        objcogblock_265_instances.clear_selection();
        if (!check_overlap(detector_94_instances, objcogblock_265_instances)) goto or_event_195_4_1_end;
        or_result_195_4 = true;
        or_temp_result_195_4_1 = true;
    }
    or_event_195_4_1_end: ;
    objcogblock_265_instances.clear_saved_selection();
    if (or_temp_result_195_4_1) {
        objcogblock_265_instances.save_selection();
        detector_94_instances.save_selection();
    }
    // event 195_4
    bool or_temp_result_195_4_2 = false;
    {
        // group: Sounds
        detector_94_instances.clear_selection();
        objjunkblock_266_instances.clear_selection();
        if (!check_overlap(detector_94_instances, objjunkblock_266_instances)) goto or_event_195_4_2_end;
        or_result_195_4 = true;
        or_temp_result_195_4_2 = true;
        or_event_195_4_2_end: ;
        objjunkblock_266_instances.clear_saved_selection();
        if (or_temp_result_195_4_2) {
            detector_94_instances.save_selection();
            objjunkblock_266_instances.save_selection();
        }
        if (!or_result_195_4) goto or_final_or_event_195_4_2_end;
        objcogblock_265_instances.empty_selection();
        objjunkblock_266_instances.empty_selection();
        detector_94_instances.empty_selection();
        objeyeblock_169_instances.empty_selection();
        if (or_temp_result_195_4_0) {
            objeyeblock_169_instances.restore_selection();
        }
        if (or_temp_result_195_4_1) {
            objcogblock_265_instances.restore_selection();
        }
        if (or_temp_result_195_4_0 || or_temp_result_195_4_1 || or_temp_result_195_4_2) {
            detector_94_instances.restore_selection();
        }
        if (or_temp_result_195_4_2) {
            objjunkblock_266_instances.restore_selection();
        }
        for (ObjectIterator it(detector_94_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(3, 1); // 'Detector'
        }
    }
    or_final_or_event_195_4_2_end: ;
}
void Frames::event_func_563()
{
    // event 196_4
    {
        // group: Sounds
        detector_94_instances.clear_selection();
        if (!check_not_overlap(detector_94_instances, objeyeblock_169_instances)) goto event_196_4_end;
        if (!check_not_overlap(detector_94_instances, objcogblock_265_instances)) goto event_196_4_end;
        if (!check_not_overlap(detector_94_instances, objjunkblock_266_instances)) goto event_196_4_end;
        ((Active*)get_instance(detector_94_instances))->alterables->values.set(3, 0); // 'Detector'
    }
    event_196_4_end: ;
}
void Frames::event_func_564()
{
    // event 216_4
    {
        // group: Sounds
        if (!((((Active*)get_instance(player_93_instances))->alterables->values.get(7)) > (0))) goto event_216_4_end;
        if (not_always_216_4_0 > loop_count) {
            not_always_216_4_0 = loop_count + 2;
            goto event_216_4_end;
        }
        not_always_216_4_0 = loop_count + 2;
        media.play_id(SOUND_HURT_5, -1, 1);
        media.set_sample_volume(SOUND_HURT_5, global_values->get(12)*0.5);
    }
    event_216_4_end: ;
}
void Frames::event_func_565()
{
    // event 226_4
    {
        // group: Sounds
        every_226_4_0 += manager.dt;
        if (every_226_4_0 < 1.76) goto event_226_4_end;
        every_226_4_0 -= 1.76;
        active_1_instances.clear_selection();
        screen_148_instances.clear_selection();
        if (!check_overlap(active_1_instances, screen_148_instances)) goto event_226_4_end;
        media.play_id(SOUND_CANNON_4_12, -1, 1);
        media.set_sample_volume(SOUND_CANNON_4_12, 1.0);
    }
    event_226_4_end: ;
}
void Frames::event_func_566()
{
    // event 227_4
    {
        // group: Sounds
        active8_9_instances.clear_selection();
        for (ObjectIterator it(active8_9_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) < (80))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) >= (0))) { it.deselect(); continue; }
        }
        if (!active8_9_instances.has_selection()) goto event_227_4_end;
        screen_148_instances.clear_selection();
        if (!check_overlap(active8_9_instances, screen_148_instances)) goto event_227_4_end;
        if (not_always_227_4_0 > loop_count) {
            not_always_227_4_0 = loop_count + 2;
            goto event_227_4_end;
        }
        not_always_227_4_0 = loop_count + 2;
        media.play_id(SOUND_TICKBOMB_10, -1, 1);
        media.set_sample_volume(SOUND_TICKBOMB_10, global_values->get(12)*1.0);
    }
    event_227_4_end: ;
}
void Frames::event_func_567()
{
    // event 228_4
    {
        // group: Sounds
        active8_9_instances.clear_selection();
        for (ObjectIterator it(active8_9_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) < (160))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) >= (80))) { it.deselect(); continue; }
        }
        if (!active8_9_instances.has_selection()) goto event_228_4_end;
        screen_148_instances.clear_selection();
        if (!check_overlap(active8_9_instances, screen_148_instances)) goto event_228_4_end;
        if (not_always_228_4_0 > loop_count) {
            not_always_228_4_0 = loop_count + 2;
            goto event_228_4_end;
        }
        not_always_228_4_0 = loop_count + 2;
        media.play_id(SOUND_TICKBOMB_10, -1, 1);
        media.set_sample_volume(SOUND_TICKBOMB_10, global_values->get(12)*1.0);
    }
    event_228_4_end: ;
}
void Frames::event_func_568()
{
    // event 229_4
    {
        // group: Sounds
        active8_9_instances.clear_selection();
        for (ObjectIterator it(active8_9_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) < (240))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) >= (160))) { it.deselect(); continue; }
        }
        if (!active8_9_instances.has_selection()) goto event_229_4_end;
        screen_148_instances.clear_selection();
        if (!check_overlap(active8_9_instances, screen_148_instances)) goto event_229_4_end;
        if (not_always_229_4_0 > loop_count) {
            not_always_229_4_0 = loop_count + 2;
            goto event_229_4_end;
        }
        not_always_229_4_0 = loop_count + 2;
        media.play_id(SOUND_TICKBOMB_10, -1, 1);
        media.set_sample_volume(SOUND_TICKBOMB_10, global_values->get(12)*1.0);
    }
    event_229_4_end: ;
}
void Frames::event_func_569()
{
    // event 230_4
    {
        // group: Sounds
        active8_9_instances.clear_selection();
        for (ObjectIterator it(active8_9_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) < (320))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) >= (240))) { it.deselect(); continue; }
        }
        if (!active8_9_instances.has_selection()) goto event_230_4_end;
        screen_148_instances.clear_selection();
        if (!check_overlap(active8_9_instances, screen_148_instances)) goto event_230_4_end;
        if (not_always_230_4_0 > loop_count) {
            not_always_230_4_0 = loop_count + 2;
            goto event_230_4_end;
        }
        not_always_230_4_0 = loop_count + 2;
        media.play_id(SOUND_TICKBOMB_10, -1, 1);
        media.set_sample_volume(SOUND_TICKBOMB_10, global_values->get(12)*1.0);
    }
    event_230_4_end: ;
}
void Frames::event_func_570()
{
    // event 231_4
    {
        // group: Sounds
        active8_9_instances.clear_selection();
        for (ObjectIterator it(active8_9_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) < (400))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) >= (320))) { it.deselect(); continue; }
        }
        if (!active8_9_instances.has_selection()) goto event_231_4_end;
        screen_148_instances.clear_selection();
        if (!check_overlap(active8_9_instances, screen_148_instances)) goto event_231_4_end;
        if (not_always_231_4_0 > loop_count) {
            not_always_231_4_0 = loop_count + 2;
            goto event_231_4_end;
        }
        not_always_231_4_0 = loop_count + 2;
        media.play_id(SOUND_TICKBOMB_10, -1, 1);
        media.set_sample_volume(SOUND_TICKBOMB_10, global_values->get(12)*1.0);
    }
    event_231_4_end: ;
}
void Frames::event_func_571()
{
    // event 232_4
    {
        // group: Sounds
        active8_9_instances.clear_selection();
        for (ObjectIterator it(active8_9_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) < (500))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) >= (400))) { it.deselect(); continue; }
        }
        if (!active8_9_instances.has_selection()) goto event_232_4_end;
        screen_148_instances.clear_selection();
        if (!check_overlap(active8_9_instances, screen_148_instances)) goto event_232_4_end;
        if (not_always_232_4_0 > loop_count) {
            not_always_232_4_0 = loop_count + 2;
            goto event_232_4_end;
        }
        not_always_232_4_0 = loop_count + 2;
        media.play_id(SOUND_TICKBOMB_10, -1, 1);
        media.set_sample_volume(SOUND_TICKBOMB_10, global_values->get(12)*1.0);
    }
    event_232_4_end: ;
}
void Frames::event_func_572()
{
    // event 233_4
    {
        // group: Sounds
        enemychomper_184_instances.clear_selection();
        for (ObjectIterator it(enemychomper_184_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 12)) { it.deselect(); continue; }
        }
        if (!enemychomper_184_instances.has_selection()) goto event_233_4_end;
        media.play_id(SOUND_CANNON_4_12, -1, 1);
        media.set_sample_volume(SOUND_CANNON_4_12, global_values->get(12)*1.0);
    }
    event_233_4_end: ;
}
void Frames::event_func_573()
{
    // event 235_4
    {
        // group: Sounds
        movingplatform_97_instances.clear_selection();
        detector_94_instances.clear_selection();
        if (!check_overlap(movingplatform_97_instances, detector_94_instances)) goto event_235_4_end;
        if (!((((Active*)get_instance(player_93_instances))->alterables->values.get(2)) == (0))) goto event_235_4_end;
        if (not_always_235_4_0 > loop_count) {
            not_always_235_4_0 = loop_count + 2;
            goto event_235_4_end;
        }
        not_always_235_4_0 = loop_count + 2;
        media.play_id(SOUND_GETONGROUND_2, -1, 1);
        media.set_sample_volume(SOUND_GETONGROUND_2, 0.4*global_values->get(12));
    }
    event_235_4_end: ;
}
void Frames::event_func_574()
{
    // event 236_4
    {
        // group: Sounds
        media.set_sample_volume(SOUND_DASH_2_1, 0.5*global_values->get(12));
        media.set_sample_volume(SOUND_GUNSHOT_0, 0.5*global_values->get(12));
        media.set_sample_volume(SOUND_FWOOSH_33, 0.7*global_values->get(12));
        media.set_sample_volume(SOUND_GETONGROUND_2, 0.4*global_values->get(12));
        media.set_sample_volume(SOUND_ENEMYHIT_3, 0.45*global_values->get(12));
        media.set_sample_volume(SOUND_HURT_5, 0.5*global_values->get(12));
        media.set_sample_volume(SOUND_SPRING_4, 0.4*global_values->get(12));
        media.set_sample_volume(SOUND_EXPLOSION_6, 0.25*global_values->get(12));
        media.set_channel_volume(3-1, global_values->get(12)*0.5);
        media.set_channel_volume(4-1, 0.25*global_values->get(12));
        media.set_sample_volume(SOUND_LGSFX1_MIXDOWN_19, 0.3*global_values->get(12));
        media.set_sample_volume(SOUND_ZAP_17, 0.01*global_values->get(12));
        media.set_sample_volume(SOUND_EYEBLOCK_14, 1.0*global_values->get(12));
        media.set_sample_volume(SOUND_CANNON_4_12, global_values->get(12));
        media.set_sample_volume(SOUND_TICKBOMB_10, global_values->get(12));
        media.set_sample_volume(SOUND_KEY_11, global_values->get(12));
        media.set_sample_volume(SOUND_SPWNPLAT16MONO_18, 0.5*global_values->get(12));
        media.set_sample_volume(SOUND_BOOM_16, 0.5*global_values->get(12));
        media.set_sample_volume(SOUND_LGSFX1_MIXDOWN_19, global_values->get(12)*0.3);
        media.set_sample_volume(SOUND_TICKBOMB_10, global_values->get(12)*1.0);
        media.set_sample_volume(SOUND_WEUW_26, 0.35*global_values->get(12));
        media.set_sample_volume(SOUND_RICOCHET_27, global_values->get(12)*0.3);
        media.set_sample_volume(SOUND_ROTATE_PWIMP_28, 0.35*global_values->get(12));
        media.set_sample_volume(SOUND_EYEBLOCK_ALT_29, global_values->get(12)*0.18);
        media.set_sample_volume(SOUND_IMPAKT_35, 0.25*global_values->get(12));
    }
    event_236_4_end: ;
}
void Frames::event_func_575()
{
    // event 237_4
    {
        // group: Sounds
        tntstatic_131_instances.clear_selection();
        for (ObjectIterator it(tntstatic_131_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->test_animation(12))) { it.deselect(); continue; }
        }
        if (!tntstatic_131_instances.has_selection()) goto event_237_4_end;
        screen_148_instances.clear_selection();
        if (!check_overlap(screen_148_instances, tntstatic_131_instances)) goto event_237_4_end;
        if (not_always_237_4_0 > loop_count) {
            not_always_237_4_0 = loop_count + 2;
            goto event_237_4_end;
        }
        not_always_237_4_0 = loop_count + 2;
        media.stop_sample(SOUND_TICKBOMB_10);
        media.set_sample_volume(SOUND_TICKBOMB_10, global_values->get(12)*1.0);
        media.play_id(SOUND_TICKBOMB_10, -1, 1);
    }
    event_237_4_end: ;
}
void Frames::event_func_576()
{
    // event 238_4
    {
        // group: Sounds
        tntstatic_131_instances.clear_selection();
        for (ObjectIterator it(tntstatic_131_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->test_animation(12))) { it.deselect(); continue; }
        }
        if (!tntstatic_131_instances.has_selection()) goto event_238_4_end;
        screen_148_instances.clear_selection();
        if (!check_overlap(screen_148_instances, tntstatic_131_instances)) goto event_238_4_end;
        for (ObjectIterator it(tntstatic_131_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(2, 1); // 'TNT-static'
        }
    }
    event_238_4_end: ;
}
void Frames::event_func_577()
{
    // event 239_4
    {
        // group: Sounds
        tntstatic_131_instances.clear_selection();
        for (ObjectIterator it(tntstatic_131_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) >= (40))) { it.deselect(); continue; }
        }
        if (!tntstatic_131_instances.has_selection()) goto event_239_4_end;
        screen_148_instances.clear_selection();
        if (!check_overlap(screen_148_instances, tntstatic_131_instances)) goto event_239_4_end;
        for (ObjectIterator it(tntstatic_131_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(2, 0); // 'TNT-static'
        }
        media.stop_sample(SOUND_TICKBOMB_10);
        media.set_sample_volume(SOUND_TICKBOMB_10, global_values->get(12)*1.0);
        media.play_id(SOUND_TICKBOMB_10, -1, 1);
    }
    event_239_4_end: ;
}
void Frames::event_func_578()
{
    // event 242_4
    {
        // group: Water
        player_93_instances.clear_selection();
        active3_4_instances.clear_selection();
        if (!check_overlap(player_93_instances, active3_4_instances)) goto event_242_4_end;
        if (((Active*)get_instance(detector_94_instances))->overlaps_background()) goto event_242_4_end;
        every_242_4_0 += manager.dt;
        if (every_242_4_0 < 0.05) goto event_242_4_end;
        every_242_4_0 -= 0.05;
        ((Active*)get_instance(player_93_instances))->alterables->values.sub(0, 1); // 'Player'
    }
    event_242_4_end: ;
}
void Frames::event_func_579()
{
    // event 244_4
    {
        // group: Water
        background_129_instances.clear_selection();
        for (ObjectIterator it(background_129_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 0)) { it.deselect(); continue; }
        }
        if (!background_129_instances.has_selection()) goto event_244_4_end;
        for (ObjectIterator it(background_129_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_244_4_end: ;
}
void Frames::event_func_580()
{
    // event 246_4
    {
        // group: Hurt
        if (!((((Active*)get_instance(player_93_instances))->alterables->values.get(4)) == (0))) goto event_246_4_end;
        if (!((((Active*)get_instance(player_93_instances))->alterables->values.get(7)) > (0))) goto event_246_4_end;
        if (!((((Active*)get_instance(player_93_instances))->alterables->values.get(5)) == (0))) goto event_246_4_end;
        ((Active*)get_instance(player_93_instances))->alterables->values.sub(7, 1); // 'Player'
        ((Active*)get_instance(player_93_instances))->alterables->values.set(1, -1); // 'Player'
    }
    event_246_4_end: ;
}
void Frames::event_func_581()
{
    // event 247_4
    {
        // group: Hurt
        if (!((((Active*)get_instance(player_93_instances))->alterables->values.get(4)) == (0))) goto event_247_4_end;
        if (!((((Active*)get_instance(player_93_instances))->alterables->values.get(7)) > (0))) goto event_247_4_end;
        if (!((((Active*)get_instance(player_93_instances))->alterables->values.get(5)) == (1))) goto event_247_4_end;
        ((Active*)get_instance(player_93_instances))->alterables->values.sub(7, 1); // 'Player'
        ((Active*)get_instance(player_93_instances))->alterables->values.set(1, 1); // 'Player'
    }
    event_247_4_end: ;
}
void Frames::event_func_582()
{
    // event 248_4
    {
        // group: Hurt
        if (!((((Active*)get_instance(player_93_instances))->alterables->values.get(7)) > (0))) goto event_248_4_end;
        ((Active*)get_instance(player_93_instances))->alterables->values.set(8, 1); // 'Player'
    }
    event_248_4_end: ;
}
void Frames::event_func_583()
{
    // event 249_4
    {
        // group: Hurt
        if (!((((Active*)get_instance(player_93_instances))->alterables->values.get(7)) == (0))) goto event_249_4_end;
        if (not_always_249_4_0 > loop_count) {
            not_always_249_4_0 = loop_count + 2;
            goto event_249_4_end;
        }
        not_always_249_4_0 = loop_count + 2;
        ((Active*)get_instance(player_93_instances))->alterables->values.set(8, 0); // 'Player'
    }
    event_249_4_end: ;
}
void Frames::event_func_584()
{
    // event 250_4
    {
        // group: Hurt
        if (!((((Active*)get_instance(player_93_instances))->alterables->values.get(7)) > (0))) goto event_250_4_end;
        sprite_99_instances.clear_selection();
        for (ObjectIterator it(sprite_99_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_99_instances.has_selection()) goto event_250_4_end;
        for (ObjectIterator it(sprite_99_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(21);
        }
    }
    event_250_4_end: ;
}
void Frames::event_func_585()
{
    // event 251_4
    {
        // group: Hurt
        if (!((((Active*)get_instance(player_93_instances))->alterables->values.get(7)) > (0))) goto event_251_4_end;
        sprite_99_instances.clear_selection();
        for (ObjectIterator it(sprite_99_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->is_animation_finished(21))) { it.deselect(); continue; }
        }
        if (!sprite_99_instances.has_selection()) goto event_251_4_end;
        for (ObjectIterator it(sprite_99_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(21);
        }
    }
    event_251_4_end: ;
}
void Frames::event_func_586()
{
    // event 252_4
    {
        // group: Hurt
        every_252_4_0 += manager.dt;
        if (every_252_4_0 < 0.01) goto event_252_4_end;
        every_252_4_0 -= 0.01;
        if (!((((Active*)get_instance(player_93_instances))->alterables->values.get(9)) > (0))) goto event_252_4_end;
        ((Active*)get_instance(player_93_instances))->alterables->values.sub(9, 1); // 'Player'
    }
    event_252_4_end: ;
}
void Frames::event_func_587()
{
    // event 253_4
    {
        // group: Hurt
        if (!((((Active*)get_instance(player_93_instances))->alterables->values.get(7)) > (0))) goto event_253_4_end;
        if (not_always_253_4_0 > loop_count) {
            not_always_253_4_0 = loop_count + 2;
            goto event_253_4_end;
        }
        not_always_253_4_0 = loop_count + 2;
        sprite_99_instances.clear_selection();
        for (ObjectIterator it(sprite_99_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(21);
        }
        ((Active*)get_instance(camerashaker_247_instances))->alterables->values.set(2, 24); // 'camera shaker'
        ((Active*)get_instance(camerashaker_247_instances))->alterables->values.set(3, 24); // 'camera shaker'
    }
    event_253_4_end: ;
}
void Frames::event_func_588()
{
    // event 254_4
    {
        // group: Hurt
        if (!((((Active*)get_instance(player_93_instances))->alterables->values.get(7)) <= (0))) goto event_254_4_end;
        ((Active*)get_instance(healthbar2_186_instances))->set_x_scale(((Active*)get_instance(healthbar2_186_instances))->x_scale-((((Active*)get_instance(healthbar2_186_instances))->x_scale-((Active*)get_instance(healthbar_144_instances))->x_scale)*0.12));
    }
    event_254_4_end: ;
}
void Frames::event_func_589()
{
    // event 255_4
    {
        // group: Hoverer
        player_93_instances.clear_selection();
        hoverer_136_instances.clear_selection();
        if (!check_overlap(player_93_instances, hoverer_136_instances)) goto event_255_4_end;
        ((Active*)get_instance(player_93_instances))->alterables->values.set(0, -3); // 'Player'
    }
    event_255_4_end: ;
}
void Frames::event_func_590()
{
    // event 262_4
    {
        // group: Crates
        explosion_130_instances.clear_selection();
        for (ObjectIterator it(explosion_130_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 0)) { it.deselect(); continue; }
        }
        if (!explosion_130_instances.has_selection()) goto event_262_4_end;
        for (ObjectIterator it(explosion_130_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_262_4_end: ;
}
void Frames::event_func_591()
{
    // event 263_4
    {
        // group: Crates
        enemyexplosion_178_instances.clear_selection();
        for (ObjectIterator it(enemyexplosion_178_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 0)) { it.deselect(); continue; }
        }
        if (!enemyexplosion_178_instances.has_selection()) goto event_263_4_end;
        for (ObjectIterator it(enemyexplosion_178_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_263_4_end: ;
}
void Frames::event_func_592()
{
    // event 267_4
    {
        // group: Crates
        tntconveyor_139_instances.clear_selection();
        for (ObjectIterator it(tntconveyor_139_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x(((Active*)*it)->alterables->values.get(0));
        }
        tntstatic_131_instances.clear_selection();
        for (ObjectIterator it(tntstatic_131_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x(((Active*)*it)->alterables->values.get(0));
        }
    }
    event_267_4_end: ;
}
void Frames::event_func_593()
{
    // event 268_4
    {
        // group: Crates
        tntconveyor_139_instances.clear_selection();
        for (ObjectIterator it(tntconveyor_139_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_movement()->get_speed()) > (40))) { it.deselect(); continue; }
        }
        if (!tntconveyor_139_instances.has_selection()) goto event_268_4_end;
        for (ObjectIterator it(tntconveyor_139_instances); !it.end(); ++it) {
            ((Active*)*it)->get_movement()->set_speed(40);
        }
    }
    event_268_4_end: ;
}
void Frames::event_func_594()
{
    // event 269_4
    {
        // group: Crates
        tntstatic_131_instances.clear_selection();
        for (ObjectIterator it(tntstatic_131_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_movement()->get_speed()) > (40))) { it.deselect(); continue; }
        }
        if (!tntstatic_131_instances.has_selection()) goto event_269_4_end;
        for (ObjectIterator it(tntstatic_131_instances); !it.end(); ++it) {
            ((Active*)*it)->get_movement()->set_speed(40);
        }
    }
    event_269_4_end: ;
}
void Frames::event_func_595()
{
    // event 276_4
    {
        // group: Crates
        tntconveyor_139_instances.clear_selection();
        conveyorr_101_instances.clear_selection();
        if (!check_overlap(tntconveyor_139_instances, conveyorr_101_instances)) goto event_276_4_end;
        for (ObjectIterator it(tntconveyor_139_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(0, 2); // 'TNT-conveyor'
            ((Active*)*it)->get_movement()->set_speed(0);
        }
    }
    event_276_4_end: ;
}
