#include "objects.h"
#include "common.h"
#include "fonts.h"
#include "font.h"
#include "lists.h"

static Image* images_active4_300_0_0[1];
static Direction direction_active4_300_0_0 = {0, 50, 50, 0, 1, 1, images_active4_300_0_0};
static Animation anim_active4_300_0 = {&direction_active4_300_0_0, &direction_active4_300_0_0, &direction_active4_300_0_0, &direction_active4_300_0_0, &direction_active4_300_0_0, &direction_active4_300_0_0, &direction_active4_300_0_0, &direction_active4_300_0_0, &direction_active4_300_0_0, &direction_active4_300_0_0, &direction_active4_300_0_0, &direction_active4_300_0_0, &direction_active4_300_0_0, &direction_active4_300_0_0, &direction_active4_300_0_0, &direction_active4_300_0_0, NULL, &direction_active4_300_0_0, &direction_active4_300_0_0, &direction_active4_300_0_0, &direction_active4_300_0_0, &direction_active4_300_0_0, &direction_active4_300_0_0, &direction_active4_300_0_0, &direction_active4_300_0_0, &direction_active4_300_0_0, &direction_active4_300_0_0, &direction_active4_300_0_0, &direction_active4_300_0_0, &direction_active4_300_0_0, &direction_active4_300_0_0, &direction_active4_300_0_0};
static Animation * anim_array_active4_300[1] = {&anim_active4_300_0};
static Animations anim_active4_300 = {1, &anim_array_active4_300[0]};
static bool anim_active4_300_initialized;
class Active4_300 : public Active
{
public:
    Active4_300(int x, int y) : Active(x, y, Active4_300_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 4", 8);
#endif
        this->animations = &anim_active4_300;
        if (!anim_active4_300_initialized) {
            anim_active4_300_initialized = true;
            images_active4_300_0_0[0] = get_internal_image_direct(384);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active4_300(int x, int y)
{
    return new (Active::pool.create()) Active4_300(x, y);
}
static Image* images_framevars_301_0_0[1];
static Direction direction_framevars_301_0_0 = {0, 50, 50, 0, 1, 1, images_framevars_301_0_0};
static Animation anim_framevars_301_0 = {&direction_framevars_301_0_0, &direction_framevars_301_0_0, &direction_framevars_301_0_0, &direction_framevars_301_0_0, &direction_framevars_301_0_0, &direction_framevars_301_0_0, &direction_framevars_301_0_0, &direction_framevars_301_0_0, &direction_framevars_301_0_0, &direction_framevars_301_0_0, &direction_framevars_301_0_0, &direction_framevars_301_0_0, &direction_framevars_301_0_0, &direction_framevars_301_0_0, &direction_framevars_301_0_0, &direction_framevars_301_0_0, NULL, &direction_framevars_301_0_0, &direction_framevars_301_0_0, &direction_framevars_301_0_0, &direction_framevars_301_0_0, &direction_framevars_301_0_0, &direction_framevars_301_0_0, &direction_framevars_301_0_0, &direction_framevars_301_0_0, &direction_framevars_301_0_0, &direction_framevars_301_0_0, &direction_framevars_301_0_0, &direction_framevars_301_0_0, &direction_framevars_301_0_0, &direction_framevars_301_0_0, &direction_framevars_301_0_0};
static Animation * anim_array_framevars_301[1] = {&anim_framevars_301_0};
static Animations anim_framevars_301 = {1, &anim_array_framevars_301[0]};
static bool anim_framevars_301_initialized;
class Framevars_301 : public Active
{
public:
    Framevars_301(int x, int y) : Active(x, y, Framevars_301_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("framevars", 9);
#endif
        this->animations = &anim_framevars_301;
        if (!anim_framevars_301_initialized) {
            anim_framevars_301_initialized = true;
            images_framevars_301_0_0[0] = get_internal_image_direct(7);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_framevars_301(int x, int y)
{
    return new (Active::pool.create()) Framevars_301(x, y);
}
class String2_302 : public Text
{
public:
    String2_302(int x, int y) : Text(x, y, String2_302_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("String 2", 8);
#endif
        flags &= ~SCROLL;
        width = 317;
        height = 99;
        blend_color = Color(255, 255, 255);
        bold = false;
        italic = false;
        font_name = chowstring("Small Fonts", 11);
        font = get_font(7, 0);
        alignment = ALIGN_HCENTER | ALIGN_TOP;
        add_line(chowstring("Thanks for downloading Lawyer Guy. This is version 3.83 (release candidate).\r\n\r\nWhen you're done playing the game, please visit robwel.ch/lawyer-guy and fill out the playtester feedback form. I take feedback very seriously, and I will also put your name in the credits!\r\n\r\nThe site is frequently updated with new builds and levels, so check back often!\r\n\r\nPress any key to continue.", 382));
        create_alterables();
    }
};
FrameObject * create_string2_302(int x, int y)
{
    return new (Text::pool.create()) String2_302(x, y);
}
class String3_303 : public Text
{
public:
    String3_303(int x, int y) : Text(x, y, String3_303_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("String 3", 8);
#endif
        flags &= ~SCROLL;
        width = 317;
        height = 21;
        blend_color = Color(255, 255, 255);
        bold = false;
        italic = false;
        font_name = chowstring("Small Fonts", 11);
        font = get_font(7, 0);
        alignment = ALIGN_HCENTER | ALIGN_TOP;
        add_line(chowstring("Lawyer Guy Build 410 (12/1/2021) - 'Desolation Zone'", 52));
        create_alterables();
    }
};
FrameObject * create_string3_303(int x, int y)
{
    return new (Text::pool.create()) String3_303(x, y);
}
class String4_304 : public Text
{
public:
    String4_304(int x, int y) : Text(x, y, String4_304_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("String 4", 8);
#endif
        flags &= ~SCROLL;
        width = 160;
        height = 145;
        blend_color = Color(255, 255, 255);
        bold = false;
        italic = false;
        font_name = chowstring("Small Fonts", 11);
        font = get_font(7, 0);
        alignment = ALIGN_LEFT | ALIGN_TOP;
        add_line(chowstring("Thanks for playing Lawyer Guy on Linux! I know the Linux version is a bit broken, but it's in very early development. Please tell me how you got on at the Steam forums, or email me at hello@robwel.ch.\r\n\r\nThis game is in active development. New levels. features and bug fixes will be added frequently, so check back often!", 321));
        create_alterables();
    }
};
FrameObject * create_string4_304(int x, int y)
{
    return new (Text::pool.create()) String4_304(x, y);
}
class String5_305 : public Text
{
public:
    String5_305(int x, int y) : Text(x, y, String5_305_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("String 5", 8);
#endif
        flags &= ~SCROLL;
        width = 160;
        height = 162;
        blend_color = Color(255, 255, 255);
        bold = false;
        italic = false;
        font_name = chowstring("Small Fonts", 11);
        font = get_font(7, 0);
        alignment = ALIGN_LEFT | ALIGN_TOP;
        add_line(chowstring("Created and Developed by\r\nRob Welch\r\n\r\nFeaturing the Motion Captured Performance of\r\nTom Hanks\r\n\r\nLevel Music\r\n'Desolation Zone' by Rob Welch aka Vol Vadrex\r\nvolvadrex.bandcamp.com \\\r\nsoundcloud.com/vol-vaxrex\r\n", 211));
        create_alterables();
    }
};
FrameObject * create_string5_305(int x, int y)
{
    return new (Text::pool.create()) String5_305(x, y);
}
class String6_306 : public Text
{
public:
    String6_306(int x, int y) : Text(x, y, String6_306_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("String 6", 8);
#endif
        flags &= ~SCROLL;
        width = 159;
        height = 208;
        blend_color = Color(255, 255, 255);
        bold = false;
        italic = false;
        font_name = chowstring("Small Fonts", 11);
        font = get_font(7, 0);
        alignment = ALIGN_LEFT | ALIGN_TOP;
        add_line(chowstring("Based on a Napkin Doodle by\r\nMatt Dodds\r\n\r\nSenior Cool Playtesters\r\nZmansjams, Jon Dong Williams. Specs. Soup & Sauce, RSN_Bran, Moogs Moogerson\r\n\r\nCool Playtesters\r\nLames, Zachary Richardson, Lou, AniMitch, Nabil, Liam Tilling, Sef, Rd, M. Algora", 247));
        create_alterables();
    }
};
FrameObject * create_string6_306(int x, int y)
{
    return new (Text::pool.create()) String6_306(x, y);
}
static Image* images_active_307_0_0[1];
static Direction direction_active_307_0_0 = {0, 50, 50, 0, 1, 1, images_active_307_0_0};
static Animation anim_active_307_0 = {&direction_active_307_0_0, &direction_active_307_0_0, &direction_active_307_0_0, &direction_active_307_0_0, &direction_active_307_0_0, &direction_active_307_0_0, &direction_active_307_0_0, &direction_active_307_0_0, &direction_active_307_0_0, &direction_active_307_0_0, &direction_active_307_0_0, &direction_active_307_0_0, &direction_active_307_0_0, &direction_active_307_0_0, &direction_active_307_0_0, &direction_active_307_0_0, NULL, &direction_active_307_0_0, &direction_active_307_0_0, &direction_active_307_0_0, &direction_active_307_0_0, &direction_active_307_0_0, &direction_active_307_0_0, &direction_active_307_0_0, &direction_active_307_0_0, &direction_active_307_0_0, &direction_active_307_0_0, &direction_active_307_0_0, &direction_active_307_0_0, &direction_active_307_0_0, &direction_active_307_0_0, &direction_active_307_0_0};
static Animation * anim_array_active_307[1] = {&anim_active_307_0};
static Animations anim_active_307 = {1, &anim_array_active_307[0]};
static bool anim_active_307_initialized;
class Active_307 : public Active
{
public:
    Active_307(int x, int y) : Active(x, y, Active_307_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active", 6);
#endif
        this->animations = &anim_active_307;
        if (!anim_active_307_initialized) {
            anim_active_307_initialized = true;
            images_active_307_0_0[0] = get_internal_image_direct(1072);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active_307(int x, int y)
{
    return new (Active::pool.create()) Active_307(x, y);
}
static Image* images_active2_308_0_0[1];
static Direction direction_active2_308_0_0 = {0, 50, 50, 0, 1, 1, images_active2_308_0_0};
static Animation anim_active2_308_0 = {&direction_active2_308_0_0, &direction_active2_308_0_0, &direction_active2_308_0_0, &direction_active2_308_0_0, &direction_active2_308_0_0, &direction_active2_308_0_0, &direction_active2_308_0_0, &direction_active2_308_0_0, &direction_active2_308_0_0, &direction_active2_308_0_0, &direction_active2_308_0_0, &direction_active2_308_0_0, &direction_active2_308_0_0, &direction_active2_308_0_0, &direction_active2_308_0_0, &direction_active2_308_0_0, NULL, &direction_active2_308_0_0, &direction_active2_308_0_0, &direction_active2_308_0_0, &direction_active2_308_0_0, &direction_active2_308_0_0, &direction_active2_308_0_0, &direction_active2_308_0_0, &direction_active2_308_0_0, &direction_active2_308_0_0, &direction_active2_308_0_0, &direction_active2_308_0_0, &direction_active2_308_0_0, &direction_active2_308_0_0, &direction_active2_308_0_0, &direction_active2_308_0_0};
static Animation * anim_array_active2_308[1] = {&anim_active2_308_0};
static Animations anim_active2_308 = {1, &anim_array_active2_308[0]};
static bool anim_active2_308_initialized;
class Active2_308 : public Active
{
public:
    Active2_308(int x, int y) : Active(x, y, Active2_308_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 2", 8);
#endif
        this->animations = &anim_active2_308;
        if (!anim_active2_308_initialized) {
            anim_active2_308_initialized = true;
            images_active2_308_0_0[0] = get_internal_image_direct(1074);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active2_308(int x, int y)
{
    return new (Active::pool.create()) Active2_308(x, y);
}
static Image* images_active3_309_0_0[1];
static Direction direction_active3_309_0_0 = {0, 50, 50, 0, 1, 1, images_active3_309_0_0};
static Animation anim_active3_309_0 = {&direction_active3_309_0_0, &direction_active3_309_0_0, &direction_active3_309_0_0, &direction_active3_309_0_0, &direction_active3_309_0_0, &direction_active3_309_0_0, &direction_active3_309_0_0, &direction_active3_309_0_0, &direction_active3_309_0_0, &direction_active3_309_0_0, &direction_active3_309_0_0, &direction_active3_309_0_0, &direction_active3_309_0_0, &direction_active3_309_0_0, &direction_active3_309_0_0, &direction_active3_309_0_0, NULL, &direction_active3_309_0_0, &direction_active3_309_0_0, &direction_active3_309_0_0, &direction_active3_309_0_0, &direction_active3_309_0_0, &direction_active3_309_0_0, &direction_active3_309_0_0, &direction_active3_309_0_0, &direction_active3_309_0_0, &direction_active3_309_0_0, &direction_active3_309_0_0, &direction_active3_309_0_0, &direction_active3_309_0_0, &direction_active3_309_0_0, &direction_active3_309_0_0};
static Animation * anim_array_active3_309[1] = {&anim_active3_309_0};
static Animations anim_active3_309 = {1, &anim_array_active3_309[0]};
static bool anim_active3_309_initialized;
class Active3_309 : public Active
{
public:
    Active3_309(int x, int y) : Active(x, y, Active3_309_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 3", 8);
#endif
        this->animations = &anim_active3_309;
        if (!anim_active3_309_initialized) {
            anim_active3_309_initialized = true;
            images_active3_309_0_0[0] = get_internal_image_direct(1073);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active3_309(int x, int y)
{
    return new (Active::pool.create()) Active3_309(x, y);
}
static Image* images_active4_310_0_0[1];
static Direction direction_active4_310_0_0 = {0, 50, 50, 0, 1, 1, images_active4_310_0_0};
static Animation anim_active4_310_0 = {&direction_active4_310_0_0, &direction_active4_310_0_0, &direction_active4_310_0_0, &direction_active4_310_0_0, &direction_active4_310_0_0, &direction_active4_310_0_0, &direction_active4_310_0_0, &direction_active4_310_0_0, &direction_active4_310_0_0, &direction_active4_310_0_0, &direction_active4_310_0_0, &direction_active4_310_0_0, &direction_active4_310_0_0, &direction_active4_310_0_0, &direction_active4_310_0_0, &direction_active4_310_0_0, NULL, &direction_active4_310_0_0, &direction_active4_310_0_0, &direction_active4_310_0_0, &direction_active4_310_0_0, &direction_active4_310_0_0, &direction_active4_310_0_0, &direction_active4_310_0_0, &direction_active4_310_0_0, &direction_active4_310_0_0, &direction_active4_310_0_0, &direction_active4_310_0_0, &direction_active4_310_0_0, &direction_active4_310_0_0, &direction_active4_310_0_0, &direction_active4_310_0_0};
static Animation * anim_array_active4_310[1] = {&anim_active4_310_0};
static Animations anim_active4_310 = {1, &anim_array_active4_310[0]};
static bool anim_active4_310_initialized;
class Active4_310 : public Active
{
public:
    Active4_310(int x, int y) : Active(x, y, Active4_310_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 4", 8);
#endif
        this->animations = &anim_active4_310;
        if (!anim_active4_310_initialized) {
            anim_active4_310_initialized = true;
            images_active4_310_0_0[0] = get_internal_image_direct(1076);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active4_310(int x, int y)
{
    return new (Active::pool.create()) Active4_310(x, y);
}
class String7_311 : public Text
{
public:
    String7_311(int x, int y) : Text(x, y, String7_311_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("String 7", 8);
#endif
        flags &= ~SCROLL;
        width = 112;
        height = 16;
        blend_color = Color(255, 255, 255);
        bold = false;
        italic = false;
        font_name = chowstring("Small Fonts", 11);
        font = get_font(7, 0);
        alignment = ALIGN_RIGHT | ALIGN_TOP;
        add_line(chowstring("Please wait... 10", 17));
        add_line(chowstring("Please wait... 9\r\n", 18));
        add_line(chowstring("Please wait... 8\r\n", 18));
        add_line(chowstring("Please wait... 7\r\n", 18));
        add_line(chowstring("Please wait... 6", 16));
        add_line(chowstring("Please wait... 5\r\n", 18));
        add_line(chowstring("Please wait... 4\r\n", 18));
        add_line(chowstring("Please wait... 3", 16));
        add_line(chowstring("Please wait... 2", 16));
        add_line(chowstring("Please wait... 1", 16));
        add_line(chowstring("Press any key", 13));
        create_alterables();
    }
};
FrameObject * create_string7_311(int x, int y)
{
    return new (Text::pool.create()) String7_311(x, y);
}
static Image* images_devil_312_0_0[1];
static Direction direction_devil_312_0_0 = {0, 2, 2, 0, -1, 1, images_devil_312_0_0};
static Animation anim_devil_312_0 = {&direction_devil_312_0_0, &direction_devil_312_0_0, &direction_devil_312_0_0, &direction_devil_312_0_0, &direction_devil_312_0_0, &direction_devil_312_0_0, &direction_devil_312_0_0, &direction_devil_312_0_0, &direction_devil_312_0_0, &direction_devil_312_0_0, &direction_devil_312_0_0, &direction_devil_312_0_0, &direction_devil_312_0_0, &direction_devil_312_0_0, &direction_devil_312_0_0, &direction_devil_312_0_0, NULL, &direction_devil_312_0_0, &direction_devil_312_0_0, &direction_devil_312_0_0, &direction_devil_312_0_0, &direction_devil_312_0_0, &direction_devil_312_0_0, &direction_devil_312_0_0, &direction_devil_312_0_0, &direction_devil_312_0_0, &direction_devil_312_0_0, &direction_devil_312_0_0, &direction_devil_312_0_0, &direction_devil_312_0_0, &direction_devil_312_0_0, &direction_devil_312_0_0};
static Animation * anim_array_devil_312[1] = {&anim_devil_312_0};
static Animations anim_devil_312 = {1, &anim_array_devil_312[0]};
static bool anim_devil_312_initialized;
class Devil_312 : public Active
{
public:
    Devil_312(int x, int y) : Active(x, y, Devil_312_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Devil", 5);
#endif
        this->animations = &anim_devil_312;
        if (!anim_devil_312_initialized) {
            anim_devil_312_initialized = true;
            images_devil_312_0_0[0] = get_internal_image_direct(1077);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_devil_312(int x, int y)
{
    return new (Active::pool.create()) Devil_312(x, y);
}
static Image* images_active2_313_0_0[32];
static Direction direction_active2_313_0_0 = {0, 50, 50, 0, -1, 32, images_active2_313_0_0};
static Animation anim_active2_313_0 = {&direction_active2_313_0_0, &direction_active2_313_0_0, &direction_active2_313_0_0, &direction_active2_313_0_0, &direction_active2_313_0_0, &direction_active2_313_0_0, &direction_active2_313_0_0, &direction_active2_313_0_0, &direction_active2_313_0_0, &direction_active2_313_0_0, &direction_active2_313_0_0, &direction_active2_313_0_0, &direction_active2_313_0_0, &direction_active2_313_0_0, &direction_active2_313_0_0, &direction_active2_313_0_0, NULL, &direction_active2_313_0_0, &direction_active2_313_0_0, &direction_active2_313_0_0, &direction_active2_313_0_0, &direction_active2_313_0_0, &direction_active2_313_0_0, &direction_active2_313_0_0, &direction_active2_313_0_0, &direction_active2_313_0_0, &direction_active2_313_0_0, &direction_active2_313_0_0, &direction_active2_313_0_0, &direction_active2_313_0_0, &direction_active2_313_0_0, &direction_active2_313_0_0};
static Animation * anim_array_active2_313[1] = {&anim_active2_313_0};
static Animations anim_active2_313 = {1, &anim_array_active2_313[0]};
static bool anim_active2_313_initialized;
class Active2_313 : public Active
{
public:
    Active2_313(int x, int y) : Active(x, y, Active2_313_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 2", 8);
#endif
        this->animations = &anim_active2_313;
        if (!anim_active2_313_initialized) {
            anim_active2_313_initialized = true;
            images_active2_313_0_0[0] = get_internal_image_direct(1147);
            images_active2_313_0_0[1] = get_internal_image_direct(1148);
            images_active2_313_0_0[2] = get_internal_image_direct(1149);
            images_active2_313_0_0[3] = get_internal_image_direct(1150);
            images_active2_313_0_0[4] = get_internal_image_direct(1151);
            images_active2_313_0_0[5] = get_internal_image_direct(1152);
            images_active2_313_0_0[6] = get_internal_image_direct(1153);
            images_active2_313_0_0[7] = get_internal_image_direct(1154);
            images_active2_313_0_0[8] = get_internal_image_direct(1159);
            images_active2_313_0_0[9] = get_internal_image_direct(1160);
            images_active2_313_0_0[10] = get_internal_image_direct(1171);
            images_active2_313_0_0[11] = get_internal_image_direct(1181);
            images_active2_313_0_0[12] = get_internal_image_direct(1182);
            images_active2_313_0_0[13] = get_internal_image_direct(1148);
            images_active2_313_0_0[14] = get_internal_image_direct(1185);
            images_active2_313_0_0[15] = get_internal_image_direct(1186);
            images_active2_313_0_0[16] = get_internal_image_direct(1187);
            images_active2_313_0_0[17] = get_internal_image_direct(1188);
            images_active2_313_0_0[18] = get_internal_image_direct(1189);
            images_active2_313_0_0[19] = get_internal_image_direct(1190);
            images_active2_313_0_0[20] = get_internal_image_direct(1191);
            images_active2_313_0_0[21] = get_internal_image_direct(1194);
            images_active2_313_0_0[22] = get_internal_image_direct(1195);
            images_active2_313_0_0[23] = get_internal_image_direct(1196);
            images_active2_313_0_0[24] = get_internal_image_direct(1198);
            images_active2_313_0_0[25] = get_internal_image_direct(1197);
            images_active2_313_0_0[26] = get_internal_image_direct(1199);
            images_active2_313_0_0[27] = get_internal_image_direct(1200);
            images_active2_313_0_0[28] = get_internal_image_direct(1201);
            images_active2_313_0_0[29] = get_internal_image_direct(1202);
            images_active2_313_0_0[30] = get_internal_image_direct(1203);
            images_active2_313_0_0[31] = get_internal_image_direct(1204);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active2_313(int x, int y)
{
    return new (Active::pool.create()) Active2_313(x, y);
}
class String5_314 : public Text
{
public:
    String5_314(int x, int y) : Text(x, y, String5_314_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("String 5", 8);
#endif
        flags &= ~SCROLL;
        width = 178;
        height = 23;
        blend_color = Color(255, 0, 0);
        bold = false;
        italic = false;
        font_name = chowstring("Small Fonts", 11);
        font = get_font(7, 0);
        alignment = ALIGN_HCENTER | ALIGN_TOP;
        add_line(chowstring("Resume from your last checkpoint\?", 33));
        create_alterables();
    }
};
FrameObject * create_string5_314(int x, int y)
{
    return new (Text::pool.create()) String5_314(x, y);
}
class String6_315 : public Text
{
public:
    String6_315(int x, int y) : Text(x, y, String6_315_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("String 6", 8);
#endif
        flags &= ~SCROLL;
        width = 178;
        height = 23;
        blend_color = Color(255, 255, 255);
        bold = false;
        italic = false;
        font_name = chowstring("Small Fonts", 11);
        font = get_font(7, 0);
        alignment = ALIGN_LEFT | ALIGN_TOP;
        add_line(chowstring("No", 2));
        create_alterables();
    }
};
FrameObject * create_string6_315(int x, int y)
{
    return new (Text::pool.create()) String6_315(x, y);
}
static Image* images_active3_316_0_0[1];
static Direction direction_active3_316_0_0 = {0, 50, 50, 0, 1, 1, images_active3_316_0_0};
static Animation anim_active3_316_0 = {&direction_active3_316_0_0, &direction_active3_316_0_0, &direction_active3_316_0_0, &direction_active3_316_0_0, &direction_active3_316_0_0, &direction_active3_316_0_0, &direction_active3_316_0_0, &direction_active3_316_0_0, &direction_active3_316_0_0, &direction_active3_316_0_0, &direction_active3_316_0_0, &direction_active3_316_0_0, &direction_active3_316_0_0, &direction_active3_316_0_0, &direction_active3_316_0_0, &direction_active3_316_0_0, NULL, &direction_active3_316_0_0, &direction_active3_316_0_0, &direction_active3_316_0_0, &direction_active3_316_0_0, &direction_active3_316_0_0, &direction_active3_316_0_0, &direction_active3_316_0_0, &direction_active3_316_0_0, &direction_active3_316_0_0, &direction_active3_316_0_0, &direction_active3_316_0_0, &direction_active3_316_0_0, &direction_active3_316_0_0, &direction_active3_316_0_0, &direction_active3_316_0_0};
static Animation * anim_array_active3_316[1] = {&anim_active3_316_0};
static Animations anim_active3_316 = {1, &anim_array_active3_316[0]};
static bool anim_active3_316_initialized;
class Active3_316 : public Active
{
public:
    Active3_316(int x, int y) : Active(x, y, Active3_316_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 3", 8);
#endif
        this->animations = &anim_active3_316;
        if (!anim_active3_316_initialized) {
            anim_active3_316_initialized = true;
            images_active3_316_0_0[0] = get_internal_image_direct(1193);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active3_316(int x, int y)
{
    return new (Active::pool.create()) Active3_316(x, y);
}
static Image* images_active4_317_0_0[1];
static Direction direction_active4_317_0_0 = {0, 50, 50, 0, 1, 1, images_active4_317_0_0};
static Animation anim_active4_317_0 = {&direction_active4_317_0_0, &direction_active4_317_0_0, &direction_active4_317_0_0, &direction_active4_317_0_0, &direction_active4_317_0_0, &direction_active4_317_0_0, &direction_active4_317_0_0, &direction_active4_317_0_0, &direction_active4_317_0_0, &direction_active4_317_0_0, &direction_active4_317_0_0, &direction_active4_317_0_0, &direction_active4_317_0_0, &direction_active4_317_0_0, &direction_active4_317_0_0, &direction_active4_317_0_0, NULL, &direction_active4_317_0_0, &direction_active4_317_0_0, &direction_active4_317_0_0, &direction_active4_317_0_0, &direction_active4_317_0_0, &direction_active4_317_0_0, &direction_active4_317_0_0, &direction_active4_317_0_0, &direction_active4_317_0_0, &direction_active4_317_0_0, &direction_active4_317_0_0, &direction_active4_317_0_0, &direction_active4_317_0_0, &direction_active4_317_0_0, &direction_active4_317_0_0};
static Animation * anim_array_active4_317[1] = {&anim_active4_317_0};
static Animations anim_active4_317 = {1, &anim_array_active4_317[0]};
static bool anim_active4_317_initialized;
class Active4_317 : public Active
{
public:
    Active4_317(int x, int y) : Active(x, y, Active4_317_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 4", 8);
#endif
        this->animations = &anim_active4_317;
        if (!anim_active4_317_initialized) {
            anim_active4_317_initialized = true;
            images_active4_317_0_0[0] = get_internal_image_direct(1216);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active4_317(int x, int y)
{
    return new (Active::pool.create()) Active4_317(x, y);
}
static Image* images_active5_318_0_0[2];
static Direction direction_active5_318_0_0 = {0, 50, 50, 0, -1, 2, images_active5_318_0_0};
static Animation anim_active5_318_0 = {&direction_active5_318_0_0, &direction_active5_318_0_0, &direction_active5_318_0_0, &direction_active5_318_0_0, &direction_active5_318_0_0, &direction_active5_318_0_0, &direction_active5_318_0_0, &direction_active5_318_0_0, &direction_active5_318_0_0, &direction_active5_318_0_0, &direction_active5_318_0_0, &direction_active5_318_0_0, &direction_active5_318_0_0, &direction_active5_318_0_0, &direction_active5_318_0_0, &direction_active5_318_0_0, NULL, &direction_active5_318_0_0, &direction_active5_318_0_0, &direction_active5_318_0_0, &direction_active5_318_0_0, &direction_active5_318_0_0, &direction_active5_318_0_0, &direction_active5_318_0_0, &direction_active5_318_0_0, &direction_active5_318_0_0, &direction_active5_318_0_0, &direction_active5_318_0_0, &direction_active5_318_0_0, &direction_active5_318_0_0, &direction_active5_318_0_0, &direction_active5_318_0_0};
static Animation * anim_array_active5_318[1] = {&anim_active5_318_0};
static Animations anim_active5_318 = {1, &anim_array_active5_318[0]};
static bool anim_active5_318_initialized;
class Active5_318 : public Active
{
public:
    Active5_318(int x, int y) : Active(x, y, Active5_318_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 5", 8);
#endif
        this->animations = &anim_active5_318;
        if (!anim_active5_318_initialized) {
            anim_active5_318_initialized = true;
            images_active5_318_0_0[0] = get_internal_image_direct(1183);
            images_active5_318_0_0[1] = get_internal_image_direct(1192);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active5_318(int x, int y)
{
    return new (Active::pool.create()) Active5_318(x, y);
}
static Image* images_active25_319_0_0[4];
static Direction direction_active25_319_0_0 = {0, 20, 20, 0, -1, 4, images_active25_319_0_0};
static Animation anim_active25_319_0 = {&direction_active25_319_0_0, &direction_active25_319_0_0, &direction_active25_319_0_0, &direction_active25_319_0_0, &direction_active25_319_0_0, &direction_active25_319_0_0, &direction_active25_319_0_0, &direction_active25_319_0_0, &direction_active25_319_0_0, &direction_active25_319_0_0, &direction_active25_319_0_0, &direction_active25_319_0_0, &direction_active25_319_0_0, &direction_active25_319_0_0, &direction_active25_319_0_0, &direction_active25_319_0_0, NULL, &direction_active25_319_0_0, &direction_active25_319_0_0, &direction_active25_319_0_0, &direction_active25_319_0_0, &direction_active25_319_0_0, &direction_active25_319_0_0, &direction_active25_319_0_0, &direction_active25_319_0_0, &direction_active25_319_0_0, &direction_active25_319_0_0, &direction_active25_319_0_0, &direction_active25_319_0_0, &direction_active25_319_0_0, &direction_active25_319_0_0, &direction_active25_319_0_0};
static Animation * anim_array_active25_319[1] = {&anim_active25_319_0};
static Animations anim_active25_319 = {1, &anim_array_active25_319[0]};
static bool anim_active25_319_initialized;
class Active25_319 : public Active
{
public:
    Active25_319(int x, int y) : Active(x, y, Active25_319_type)
    {
        // qualifiers: 
#ifndef NDEBUG
        name = chowstring("Active 25", 9);
#endif
        this->animations = &anim_active25_319;
        if (!anim_active25_319_initialized) {
            anim_active25_319_initialized = true;
            images_active25_319_0_0[0] = get_internal_image_direct(1215);
            images_active25_319_0_0[1] = get_internal_image_direct(1218);
            images_active25_319_0_0[2] = get_internal_image_direct(1221);
            images_active25_319_0_0[3] = get_internal_image_direct(1218);
        }
        active_flags |= TRANSPARENT;
        animation = STOPPED;
        current_animation = animation;
        initialize_active(false);
        create_alterables();
    }
};
FrameObject * create_active25_319(int x, int y)
{
    return new (Active::pool.create()) Active25_319(x, y);
}
FRAMEOBJECT_IMPL(QuickBackdrop)
FRAMEOBJECT_IMPL(Text)
FRAMEOBJECT_IMPL(FrameObject)
FRAMEOBJECT_IMPL(LayerObject)
FRAMEOBJECT_IMPL(Active)
FRAMEOBJECT_IMPL(Backdrop)
